		       MHCHANGES from MH 6.1 to MH 6.6


[It appears that there may be some undocumented changes to MH 6.6 that should
 appear here.  --Dan Harkless]


Sun Jan  4 11:16:54 1987  /mtr <mrose@nrtc-gremlin>

	uip/mhlsbr.c: "extras" hack for Elz


Sat Jan  3 15:03:00 1987  /mtr <mrose@nrtc-gremlin>

	h/formatsbr.h: parenthesize better, use case-sensitive in
	    bucket search since hashing is case-sensitive
	uip/{rcvdist,replsbr}.c: CT_ADDR hacks


Sat Jan  3 13:11:22 1987  /mtr <mrose@nrtc-gremlin>

	conf/config/mts.c, mts/sendmail/hosts.c: BIND fix-up


Fri Jan  2 23:41:19 1987  /mtr <mrose@nrtc-gremlin>

	uip/rcvdist.c: touch-ups to sync with replsbr.c
	uip/scansbr.c: trash trailing whitespace in header components for
	    formating


Fri Jan  2 18:43:09 1987  /mtr <mrose@nrtc-gremlin>

	zotnet/tws/dtimep.lex: ctime w/o TZ hack


Fri Jan  2 18:42:55 1987  /mtr <mrose@nrtc-gremlin>

	uip/dropsbr.c: fixes
	uip/msh.c, support/pop/popser.c: ditto


Mon Dec 22 12:32:45 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

			       -- From Stanford --
	h/dropsbr.h, uip/dropsbr.c, support/pop/popser.c: support LAST
		command in POP service
	uip/{inc,mshcmds}.c: ditto


Mon Dec 15 11:11:32 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/post.c: patch for MMDF-IIb submit


Wed Dec  3 22:03:58 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/popd.c: minor fix


Tue Dec  2 13:57:41 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	support/bboards/bbtar.c: fix for sequent machines


Sat Nov 22 20:36:31 1986  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: set up time-bomb after HUP


Fri Nov 21 14:33:28 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	sbr/smatch.c: deref null bug


Fri Nov 14 17:25:23 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/mhook: typo found by Phyl


Mon Nov 10 16:57:41 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

			    -- More stuff from Jef --
	zotnet/tws/dtimep.lex: default timezone to localone one


Mon Nov 10 08:12:16 1986  /mtr <mrose@nrtc-gremlin>

			-- Stuff from Jef Poskanzer --
	uip/forw.c: add -[no]dashmunging, a hidden option
	uip/mhlsbr.c: add -[no]dashmunging, a hidden option
	{conf/doc/mhl.rf,uip/mhlsbr.c}: add [no]split variable


Mon Nov  3 15:21:38 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	sbr/m_sync.c: fix for sequent machines


Mon Nov  3 14:11:48 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/msgchk.c: another SUN fix


Thu Oct 30 13:03:02 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/{rcvtty,ttyw}.c: if no BSD42, turn off TTYD


Thu Oct 30 12:57:52 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	sbr/formataddr.c, uip/replsbr.c: another realloc() bug found by
	    Terry West


Thu Oct  9 12:52:41 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	h/mh.h: make ruserpass nonsense based on NFS not SUN


Wed Oct  8 15:59:05 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/vmh.c: more SYS5 mods from Bob Desinger


Mon Oct  6 12:07:02 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	conf/examples/encore: config file for Encore Multimax, from Mike
	    Iglesias of UCI


Thu Oct  2 12:37:57 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/popd.c: fixes for 4.3BSD set setsockopt


Mon Sep  8 12:47:58 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	conf/config/MakeBBoards: smarter


Fri Sep  5 14:02:36 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	zotnet/bboards/bboards.h: add BB_SEEN to fix list-handling bug in bbc
	uip/bbc.c: use it


Fri Sep  5 09:40:35 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/msh.c: add hidden "advance" command
	uip/wmh.c: use it


Fri Sep  5 09:08:17 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	mts/sendmail/smail.c: define discard() as void


Tue Sep  2 15:27:34 1986  /mtr <mrose@nrtc-gremlin>

	uip/{bbc,burst,popsbr}.c: ULTRIX loses on ferror() vs. feof()
	sbr/vfgets.c: ditto


Fri Aug 29 09:08:15 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/wmh.c: for pTTY() make original window the top one


Thu Aug 28 19:39:47 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/send.c: handle dist in a read-only folder
	support/pop/popser.c: anonymous fix for DPOP/BPOP


Wed Aug 20 17:23:39 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/mhlsbr.c: a bit less demanding on errors when processing the
	    face


Wed Aug 20 14:16:12 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	conf/config/MakeBBoards: smarter rule


Mon Aug 18 10:38:34 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/wmh.c: new program--Windowing MH for Integrated Solutions
	    Graphics Workstations; not standardly installed for now since
	    requires special load libraries
	conf/doc/wmh.rf: man page
	conf/makefiles/uip: support wmh


Fri Aug 15 23:01:06 1986  /mtr <mrose@nrtc-gremlin>

	sbr/advertise.c: slight touch-up


Fri Aug 15 13:58:25 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/vmh.c: slight clean-up


Thu Aug 14 22:25:23 1986  /mtr <mrose@nrtc-gremlin>

	support/general/replcomps: add return-path to To: list


Tue Aug 12 10:54:47 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	support/pop/popser.c: small fix from Dave Cohrs


Tue Aug 12 10:53:47 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/mhlsbr.c: finally stabilize it


Mon Aug 11 10:10:33 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	uip/mhlsbr.c: choose default face from from: line


Fri Aug  8 12:57:35 1986  /mtr (agent: Marshall Rose) <mother@killer-rat>

	conf/config/config.c, h/mh.h, sbr/m_readefs.c, uip/mhlsbr.c:
	    add support for "faceproc"


Sun Jul 27 11:52:37 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/show.rf: typos


Tue Jul 15 20:26:05 1986  /mtr <mrose@nrtc-gremlin>

	papers/{bboards/bboards,tutorial/tutorial}.tex: botched MTR's
	    address


Fri Jul 11 10:50:31 1986  /mtr <mrose@nrtc-gremlin>

	MH 6.5 official, out of beta, released for UCI distribution


Tue Jul  8 10:50:39 1986  /mtr <mrose@nrtc-gremlin>

	uip/scansbr.c: split-up a statement for the RT compiler
	conf/mh-gen.8: add some stuff on POP
	conf/doc/{ADMIN,popaka}.rf: ditto


Sun Jun 29 21:11:30 1986  /mtr <mrose@nrtc-gremlin>

	sbr/addrsbr.c: yet another fix for the SUN (yaffts)
	conf/mhconfig.c: if both mts/smtp and options BERK, turn off
	    SMTP


Mon Jun 23 20:45:35 1986  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: Bob gives us another sys5 fix


Thu Jun 19 19:51:43 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/tws/dtimep.lex: fix spelling for august


Wed Jun 18 19:57:09 1986  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: sanitize for 8-bit whacko characters


Wed Jun 18 11:05:40 1986  /mtr <mrose@nrtc-gremlin>

	support/bboards/bbexp.c: create archives in BBMODE format, private
	    bboards should have archives created by the BBoards user (just
	    like the standard file)


Tue Jun 17 15:23:27 1986  /mtr <mrose@nrtc-gremlin>

	h/mh.h: add vfork for hpux


Tue Jun 17 14:21:08 1986  /mtr <mrose@nrtc-gremlin>

	uip/scan.c: forgot to make -header always force ATZ behavior


Tue Jun 17 10:44:06 1986  /mtr <mrose@nrtc-gremlin>

	uip/trmsbr.c: no TIOCGWINSZ working on 4.2BSD ULTRIX!


Mon Jun 16 19:56:09 1986  /mtr <mrose@nrtc-gremlin>

	sbr/{m_gmsg,pwd}.c, uip/{bbl,conflict,folder,rmf}.c: add NDIR
	    compile-time option if -lndir include file is called <ndir.h>
	    instead of <dir.h> (non BSD systems)
	h/local.h: new file to make this easier


Sun Jun 15 14:20:10 1986  /mtr <mrose@nrtc-gremlin>

	h/scansbr.h, support/general/scan.{timely,time,size}: remove JLR's
	    fix since it doesn't work right


Fri Jun 13 20:08:36 1986  /mtr <mrose@nrtc-gremlin>

	uip/aliasbr.c: not testing for relative names correctly


Fri Jun 13 15:28:10 1986  /mtr <mrose@nrtc-gremlin>

	sbr/addrsbr.c: another #ifdef BERK fix for the SUN


Fri 13 Jun 86 10:29	John Romine	<jromine@nrtc-gremlin>

	h/scansbr.h, support/general/scan.{timely,time,size}: add ">>" at
	    end of body in format string


Tue 10 Jun 86 15:34	John Romine	<jromine@nrtc-gremlin>

	h/scansbr.h: eliminate superfluous space from default format
	    string


Fri Jun  6 10:56:40 1986  /mtr <mrose@nrtc-gremlin>

	miscellany/less/screen.c: handle HP terminals better

Sun Jun  1 23:07:24 1986  /mtr <mrose@nrtc-gremlin>

	uip/trmsbr.c: add sc_hardcopy()
	uip/mhlsbr.c: use it so we don't fork a more on hardcopy ttys
	conf/doc/mhl.rf: document it


Thu May 29 23:42:54 1986  /mtr <mrose@nrtc-gremlin>

	support/general/scan.mailx: mailx scan format from Bob Simpson of
	    plus5
	support/general/mhl.body: format from mtrenv


Wed May 28 16:56:40 1986  /mtr <mrose@nrtc-gremlin>

	conf/examples/nrtc-gremlin: add -125 switch for GHS compiler
	sbr/getans.c,uip/{mhlsbr,prompter,rcvtty,sendsbr}.c: a bit more
	    careful with the setjmp()


Wed May 28 12:44:21 1986  /mtr <mrose@nrtc-gremlin>

	sbr/fmtcompile.c: allow literal '%'s in format files


Tue May 27 19:35:38 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/popd.c: support for 4.3BSD syslog


Thu May 22 15:08:06 1986  /mtr <mrose@nrtc-gremlin>

	support/general/replcomps: typo


Thu May 22 08:13:17 1986  /mtr <mrose@nrtc-gremlin>

	conf/mh-gen.rf: update


Thu May 22 08:05:03 1986  /mtr <mrose@nrtc-gremlin>

			-- Two New Documents from UCI --
	conf/makefiles/{papers,dist}: update
	dist/READ-ME: remove
	conf/doc/MH.rf: update
	papers/beginners: new paper "MH for Beginners"
	papers/mh4mm: new paper "MH for MM Users"


Wed May 21 20:51:47 1986  /mtr <mrose@nrtc-gremlin>

	conf/{mh-gen.8,doc/{ADMIN,MH}.rf, papers/*/*, COVER-LETTER: update
	    mail addresses


Wed May 21 10:10:21 1986  /mtr <mrose@nrtc-gremlin>

	uip/{rcvdist,replsbr}.c: malloc/free fixes from Steve Smith


Tue May 20 22:51:13 1986  /mtr <mrose@nrtc-gremlin>

			     -- From Steve Smith --
	conf/examples/ridge: config file
	sbr/{m_gmsg,pwd}.c: although SYS5, uses <ndir.h>
	uip/show.c: not null-terminating argvector
	uip/{bbc,vmh}.c: although SYS5, has SIGTSTP
	uip/sbboards.c: pre-emptive reference of discard to help SYS5 loader
	conf/{mh-gen.8,mhconfig.c}: add "oldload none"


Tue May 20 19:09:15 1986  /mtr <mrose@nrtc-gremlin>

	uip/scan.c: free'ing a static, tsk


Thu May 15 17:09:34 1986  /mtr <mrose@nrtc-gremlin>

	uip/msgchk.c, conf/doc/{mh-chart,msgchk}.rf: add -[no]date,
	    and -[no]notify type switches


Thu May 15 16:36:19 1986  /mtr <mrose@nrtc-gremlin>

	uip/{inc,msgchk,post,send}.c: improve #define-dependent
	    switches declarations


Tue May 13 17:44:47 1986  /mtr <mrose@nrtc-gremlin>

	sbr/{fmtcompile,formatsbr}.c, support/pop/popwrd.c,
	uip/{ap,inc,rcvtty,post,spost,whatnowsbr}.c:
	    add some lint stuff
	conf/makefiles/uip: better lint support for TMA


Tue May 13 15:14:07 1986  /mtr <mrose@nrtc-gremlin>

			   -- Some Fixes from Hokey --
	uip/vmh.c: a few more SYS5 dependencies
	zotnet/tws/dtimep.lex: added #include strings.h
	conf/makefiles/zotnet/tws: added dependency for above
	uip/post.c: pre-emptive reference of discard to help SYS5 loader
	conf/examples/plus5: update
	miscellany/less/Makefile: add SHELL=/bin/sh
	sbr/m_getfld.c: slight redeclaration for SYS5


Tue May 13 07:59:36 1986  /mtr <mrose@nrtc-gremlin>

	uip/replsbr.c: some fixes from Van


Mon May 12 09:12:39 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c: new version of matchc() from Van that doesn't
	    give the SUN indigestion


Sun May 11 12:40:34 1986  /mtr <mrose@nrtc-gremlin>

	miscellany/scripts/READ-ME: add amhmail description
	miscellany/scripts/amhmail.sh: new script


Thu May  8 17:50:22 1986  /mtr <mrose@nrtc-gremlin>

	support/bboards/bbexp.c: set the mode on the archive file if
	    creating it, since m_gmprot() isn't a good default for this
	    application


Wed May  7 13:16:45 1986  /mtr <mrose@nrtc-gremlin>

	uip/post.c: modification for fcc:s broke stand-alone behavior for
	    daemons, etc.; use old method as a fall-back
	sbr/m_foil.c: also improve modification a bit
	support/pop/smtpd.c: dead weight


Mon May  5 16:07:12 1986  /mtr <mrose@nrtc-gremlin>

	support/bboards/mmdfII/bboards/bb_wtmail.c: patch for IDIOTIC change
	    in qu_rtxt()


Mon May  5 13:32:37 1986  /mtr <mrose@nrtc-gremlin>

	uip/trmsbr.c: try Van's version for a while
	miscellany/patch: updates from Van


Sun May  4 18:08:47 1986  /mtr <mrose@nrtc-gremlin>

	MH 6.5 #1[UCI] (nrtc-gremlin) made available to Van Jacobson
	    for inclusion in 4.3BSD UNIX


Sun May  4 17:49:43 1986  /mtr <mrose@nrtc-gremlin>

	sbr/pidwait.c, uip/{bbc,sendsbr,vmh}.c: back off signal handling
	    modifications

Sun May  4 16:10:36 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/mh.rf: forgot about TMA stuff
	conf/makefiles/doc: forgot rcvstore


Sun May  4 14:18:15 1986  /mtr <mrose@nrtc-gremlin>

	support/general/replcomps: use %tws instead of %pretty
	support/general/mhl.*: streamline slight


Sun May  4 13:28:23 1986  /mtr <mrose@nrtc-gremlin>

	uip/msgchk.c: change the "last read" message to use alpha-timezones


Sat May  3 02:49:29 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/tws/{tws.h,dtime.c,dtimep.lex}: fixes for DST
	conf/makefiles/zotnet/tws: add -n to lex's invocation


Sat May  3 01:37:15 1986  /mtr <mrose@nrtc-gremlin>

	sbr/{m_{sync,update},pidwait}.c, uip/{bbc,sendsbr,vmh}: inspired
	    by Van's 4.2BSD signal optimizations


Fri May  2 17:02:01 1986  /mtr <mrose@nrtc-gremlin>

	uip/show.c: WHATNOW botch fixed by Jim Valerio


Fri May  2 16:35:11 1986  /mtr <mrose@nrtc-gremlin>

			  -- More Bug Fixes from Van --
	uip/scansbr.c: check return from fclose()
	uip/inc.c: avoid locking/stat race condition
	sbr/m_sync.c: lock signals out during update of sequences


Thu May  1 15:30:07 1986  /mtr <mrose@nrtc-gremlin>

			   -- From Craig Partridge --
	support/pop/mmdfII/pop/READ-ME: fixes


Tue Apr 29 20:17:11 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/mhook.rf: extra tip with SendMail and slocal


Mon Apr 28 21:00:21 1986  /mtr <mrose@nrtc-gremlin>

			-- Yet Another Fix from Terry --
	uip/dropsbr.c: another typo


Sun Apr 27 17:23:56 1986  /mtr <mrose@nrtc-gremlin>

	uip/scansbr.c: recognition of 822 Encrypted: header a bit botched
	h/scansbr.h, support/general/scan.*: support encrypted


Fri Apr 25 13:39:55 1986  /mtr <mrose@nrtc-gremlin>

			   -- From Craig Partridge --
	support/bboards/mmdfII/bboards/getbbent.c: bad field in BBoards file
	    causes hang, note it and skip!


Fri Apr 25 10:47:19 1986  /mtr <mrose@nrtc-gremlin>

	uip/trmsbr.c: use stdout (not stderr) for termcap checking


Fri Apr 25 00:01:50 1986  /mtr <mrose@nrtc-gremlin>

	conf/ADMIN.rf: slight touch-up


Thu Apr 24 23:53:57 1986  /mtr <mrose@nrtc-gremlin>

			      -- From Craig Partridge --
	support/bboards/mmdfII/bboards/*: bug fixes for MMDF-IIb
	conf/mh-gen.8: mention that MMDF-IIb has the BBoards distribution


Thu Apr 24 20:13:28 1986  /mtr <mrose@nrtc-gremlin>

	uip/msgchk.c: print out last read date
	conf/makefiles/uip: add tws dependency


Thu Apr 24 19:37:09 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/ADMIN.rf: typos


Thu Apr 24 10:34:06 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/mts/lock.c: lint touch-up
	support/pop/popd.c: ditto


Thu Apr 24 00:19:35 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/mh-chart.rf: slight mods for TMA mods


Mon Apr 21 17:31:43 1986  /mtr <mrose@nrtc-gremlin>

	uip/{inc,post}.c: slight mods for TMA mods
	conf/doc/mh-chart.rf: ditto


Mon Apr 21 10:22:09 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/mf/mf.c: sanity check in getadrx() on string to parse


Thu Apr 17 20:51:53 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/mts/lock.c: add some more #ifdefs to support stand-alone
	    locking library
	conf/examples/udel*: update
	papers/myths/: remove
	conf/makefile/papers: update


Thu Apr 17 13:25:20 1986  /mtr <mrose@nrtc-gremlin>

	sbr/addrsbr.c: fix from Terry West, more alternate-mailbox misery


Mon Apr 14 23:52:03 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c: locc() not range checking on cnt


Mon Apr 14 22:56:46 1986  /mtr <mrose@nrtc-gremlin>

	support/bboards/bbexp.c: not ending msh correctly, msh tried
	    to update the maildrop even though it was already locked
	    by bbexp



Sat Apr 12 16:32:21 1986  /mtr <mrose@nrtc-gremlin>

	uip/post.c: try to keep fcc:s under MH-directory so links are
	    maintained


Thu Apr 10 15:06:59 1986  /mtr <mrose@nrtc-gremlin>

	conf/config/bboards.*: mail reports to PostMaster


Thu Apr 10 10:42:25 1986  /mtr <mrose@nrtc-gremlin>

	uip/scansbr.c: recognize the 822 "Encrypted:" header instead of
	    doing a uprf() on the body
	uip/{scan,mshcmds}.c: recognize SCNENC return from scan ()


Thu Apr 10 03:47:48 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c: Van fixes Marshall's fix


Thu Apr 10 02:26:52 1986  /mtr <mrose@nrtc-gremlin>

	Makefile: touch-up "make distribution"
	conf/examples/nrtc-*-mtr: remove
	conf/makefiles/uip: touch-up
	conf/doc/MH.rf: add TMA stuff, conditionally


Wed Apr  9 22:08:37 1986  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: output non-standard control characters in carat format


Wed Apr  9 12:36:58 1986  /mtr <mrose@nrtc-gremlin>

		    -- MTR actually gets to fix something! --
	sbr/m_getfld.c: messages with an empty body caused inc to
	    prematurely think the maildrop had reached EOF.  Believe it
	    or not, the mhmail fix last month exercised this!


Wed Apr  9 12:04:56 1986  /mtr <mrose@nrtc-gremlin>

			 -- Van fixes some more bugs --
	sbr/m_getfld.c: not handling buffer boundary cases right
	uip/replsbr.c: not adding "," correctly when concatenating an
	    address string during message scan
	sbr/formatsbr.c: mymbox test dumped core if address parse failed
	h/{fmtcompile,formatsbr}.h, sbr/{fmtcompile,formatsbr}.c: more
	    enhancements


Mon Apr  7 09:55:23 1986  /mtr <mrose@nrtc-gremlin>

	mts/sendmail/smail.c: slight "client" check


Sun Apr  6 19:22:52 1986  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: forgot to initialize some FILE*'s; dumps core on
	    celerity


Wed Apr  2 17:17:32 1986  /mtr <mrose@nrtc-gremlin>

	sbr/addrsbr.c: slight typo in comment


Mon Mar 31 15:07:26 1986  /mtr <mrose@nrtc-gremlin>

	uip/replsbr.c: handle bad addresses with better diagnostics


Sat Mar 22 18:24:35 1986  /mtr <mrose@nrtc-gremlin>

	uip/mhmail.c: handle -body better


Sat Mar 22 11:51:45 1986  /mtr <mrose@nrtc-gremlin>

			 -- Fixes from Phyllis Kantar --
	uip/dropsbr.c: typo
	conf/doc/{send,pick}.rf: typos
	conf/makefiles/doc: forgot $(OPTIONSn) in $(MAN1) definition


Fri Mar 21 21:12:39 1986  /mtr <mrose@nrtc-gremlin>

	conf/doc/{MH,mh-format}.rf: typos


Thu Mar 20 23:05:10 1986  /mtr <mrose@nrtc-gremlin>

	uip/mhlsbr.c: mhl enhancement from JLR permitting a prefix string
	    for each line of the body (e.g, "component="    > ")


Wed Mar 19 23:12:54 1986  /mtr <mrose@nrtc-gremlin>

			   -- Changes for MMDF-IIb --
	uip/post.c, support/bboards/mmdfII/bboards/bb_wtmail.c: know about
	    new mm_winit protocol and RP_NS/RP_DOK responses


Wed Mar 19 23:00:53 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/popser.c: one last fix for ENOENT mailboxes


Sun Mar 16 15:20:27 1986  /mtr <mrose@nrtc-gremlin>

	miscellany/mem: appointment diary support from Ken Yap


Tue Mar 11 19:43:27 1986  /mtr <mrose@nrtc-gremlin>

	h/dropsbr.h, uip/dropsbr.c: new routines mbx_read() and mbx_write()
	uip/{msh,mshcmds}.c, support/pop/popser.c: use it
	h/{addr,format,scan}sbr.h, sbr/addrsbr.c: slight touch-up
	uip/inc.c: slight touch-up


Mon Mar 10 18:08:37 1986  /mtr <mrose@nrtc-gremlin>

	uip/post.c: fix handling of (in)visible addresses
	uip/rcvdist.c: re-do to use format facility
	uip/{replsbr,forw}.c: touch-ups
	conf/config/config.c, h/mh.h: new variable rcvdistcomps
	conf/{makefiles/{uip,support/general},doc/mhook.rf}: update
	sbr/m_getfld.c: bstring() support for non BSD42, SYS5 systems
	conf/doc/ADMIN.rf: update


Mon Mar 10 10:17:29 1986  /mtr <mrose@nrtc-gremlin>

	{sbr/formatsbr,uip/scansbr}.c: more optimizations from Van!
	sbr/m_getfld.c: Van fixes problems due to losing vanilla-4.2 C
	    optimizer!
	sbr/m_getfld.c: slight touch-up by MTR
	uip/bbc.c: remove #ifdef MTR bracketing, code works fine
	uip/refile.c: slight touch-ups
	sbr/m_getfld.c: on xxxERR returns, forgetting to zero value buffer


Mon Mar 10 00:43:19 1986  /mtr <mrose@nrtc-gremlin>

	uip/{msh,mshcmds}.c: packf hack, ala refile hack
	uip/{post,rcvdist}.c, support/bboards/mmdfII/bboards/bb_wtmail.c:
	    MMDF-II nameserver support from Steve Kille


Sun Mar  9 20:09:35 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/bboards/bboards.h: add BB_REMOTE flag for bbc
	uip/bbc.c: support BB_REMOTE, under #ifdef MTR for the moment
	uip/bbc.c: allow bb_aka (again?!?)


Sun Mar  9 18:52:37 1986  /mtr <mrose@nrtc-gremlin>

	h/scansbr.h, support/general/{digestcomps,mhl.forward,scan.*}: update


Sun Mar  9 14:06:54 1986  /mtr <mrose@nrtc-gremlin>

	h/scansbr.h, sbr/fmtcompile.c: better versions from Van
	support/general/{replcomps,scan.timely}: better versions from Van
	    (snuck the %pretty instead of %tws in, eh Van?)
	support/general/{digestcomps,mhl.forward,scan.{size,time}}: update


Sun Mar  9 14:04:26 1986  /mtr <mrose@nrtc-gremlin>

	conf/mh-gen.8: add a line about chown and sys5
	sbr/m_convert.c: better BADRNG diagnostic
	uip/mshcmds.c: oops, typo


Thu Mar  6 13:36:26 1986  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: yet another fix for ismymbox()
	uip/replsbr.c: #ifdef ISI code to avoid duplicate replies (due to
	    Jim Koda)


Wed Mar  5 12:48:58 1986  /mtr <mrose@nrtc-gremlin>

	dist/READ-ME: oops, forgot usenix name change
	conf/makefiles/uip: hmm, interesting loader problem


Tue Mar  4 09:53:31 1986  /mtr <mrose@nrtc-gremlin>

	papers/usenix/: change to realwork/


Tue Mar  4 08:15:17 1986  /mtr <mrose@nrtc-gremlin>

		       -- Van sends fixes to my updates --
	uip/mhlsbr.c: not resetting mhlsbr for formatting
	zotnet/tws/dtimep.lex: not getting MIL-TZ's right


Mon Mar  3 16:53:19 1986  /mtr <mrose@nrtc-gremlin>

	uip/sendsbr.c: oops, close() on an uninitialized variable! (thanks
	    to Jim Koda)


Mon Mar  3 10:18:40 1986  /mtr <mrose@nrtc-gremlin>

		       -- Van sends fixes to my updates --
	uip/mshcmds.c: not resetting scansbr for formatting
	uip/scansbr.c: oops, typo!


Thu Feb 27 22:16:43 1986  /mtr <mrose@nrtc-gremlin>

	sbr/formataddr.c: remove <strings.h>
	sbr/addrsbr.c: Van doesn't like "user*" instead of "user" as the
	    default is-my-mailbox for BERK.  Since he's the BERK-author, I'll
	    assume he knows what he's doing...
	support/general/replcomps: Use "tws", instead of "pretty" for
	    in-reply-to:
	uip/whatnowsbr.c: If -draft{folder,message} and -nodraftfolder are
	    added as no-ops, make them "hidden" from -help output
	uip/{{a,d}p,forw,mhlsbr}.c: update


Thu Feb 27 22:12:53 1986  /mtr <mrose@nrtc-gremlin>

			     -- Van sends updates --
	conf/makefiles/uip, h/fmtcompile.h,
	sbr/{format{addr,sbr},fmtcompile,addrsbr}.c,
	support/general/replcomps, uip/{repl,mhl,scan,whatnow}sbr.c


Wed Feb 26 21:05:46 1986  /mtr <mrose@nrtc-gremlin>

	uip/sendsbr.c: better diagnostics when post fails


Tue Feb 25 17:45:28 1986  /mtr <mrose@nrtc-gremlin>

	h/mshsbr.h, uip/msh*.c: add direct folder support for symmetry's
	    sake, ugh!


Tue Feb 25 09:47:09 1986  /mtr <mrose@nrtc-gremlin>

	uip/{scan,mshcmds}.c: slight touch-ups
	uip/mhlsbr.c: fix up SIGPIPE handling, again
	support/general/scan.time: fix up for numeric timezone
	uip/scansbr.c: re-support "encrypted"
	uip/msh.c: add "exit" command for Dave Farber
	miscellany/convert: new directory


Tue Feb 25 08:08:43 1986  /mtr <mrose@nrtc-gremlin>

	uip/burst.c: another realloc() fix from Terry West
	sbr/vfgets.c: ditto
	support/pop/popser.c: enhancmenets from Dave Cohrs
	conf/doc/pop5.rf: document it
	conf/mhconfig.c: support "debug" directive
	makefiles/*: use it


Mon Feb 24 17:14:39 1986  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: have -host/-file ask if file doesn't exist
	uip/{packf,mshcmds}.c: ditto


Sun Feb 23 13:59:46 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_gmsg.c: big bug fix from Terry West.  Thanks, Terry!
	h/strings.h: System5 bcopy-equivalents from Doug Gwyn
	zotnet/tws/tws.h: support #ifdef ATZ
	conf/makefiles/uip: slight lint botch


Thu Feb 20 22:57:33 1986  /mtr <mrose@nrtc-gremlin>
	
	MH 6.4 #1[UCI] (nrtc-gremlin) made available to Van Jacobson
	    for inclusion in 4.3BSD UNIX


Thu Feb 20 19:55:20 1986  /mtr <mrose@nrtc-gremlin>

	uip/mhlsbr.c: add formatsbr support
	sbr/addrsbr.c: use better default matching in ismymbox
	miscellany/mtrenv: update
	support/general/mhl.*: update


Thu Feb 20 08:07:49 1986  /mtr <mrose@nrtc-gremlin>

	uip/{a,d}p.c: start working on it
	h/formatsbr.h: new variable fmt_norm
	sbr/formatsbr.c: use it
	h/fmtcompile.c, sbr/{fmtcompile,formatsbr}.c: define "pretty"
	sbr/formataddr.c: sight touch-up
	uip/formatsbr.c: oops, bug in PUTD()
	uip/{fmtcompile,formatsbr}.c: init mn structures in case of error.
	    This is still buggy since: 1) the structure still doesn't get
	    reset on errors, and 2) you can still dereference nulls
	zotnet/tws/dtimep.lex: slight touch-up


Wed Feb 19 10:50:04 1986  /mtr <mrose@nrtc-gremlin>

	papers/mh6.4: new interim documentation directory, for 4.3BSD
	conf/doc/{MH,ap,dp,mh,mh-chart,mhl,repl,scan}.rf: update
	conf/doc/mh-format.rf: new file
	support/general/replcomps: oops, should call formataddr on all
	    addrs


Wed Feb 19 03:11:42 1986  /mtr <mrose@nrtc-gremlin>

	sbr/{formataddr,fmtcompile,m_{draft,getfld,maildir},printsw,pwd}.c:
	    lint it
	uip/{formatsbr,forw,msh,replsbr,scan,scansbr,spost}.c: lint it
	support/pop/popser.c: lint it
	sbr/formatsbr.c: remove MHFMTDEBUG code
	*/Makefile: depend 'em


Wed Feb 19 01:55:40 1986  /mtr <mrose@nrtc-gremlin>

	h/mh.h: add msg_* vars in m_getfld() as externs
	uip/{msh,{repl,scan}sbr}.c: remove msg_* declarations
	sbr/m_getfld.c: add a bit of BODYEOF support (without slowing it
	    down, wouldn't want to upset Van!)


Wed Feb 19 00:56:30 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c: different fix for packf'd files from Van


Wed Feb 19 00:16:55 1986  /mtr <mrose@nrtc-gremlin>

	uip/dist.c, support/general/distcomps, sbr/fmtcompile.c: updates
	    from Van
	sbr/formatsbr.c: remove ismymbox prime
	sbr/fmtcompile.c: use adios(), not exit()!


Tue Feb 18 22:14:51 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c: eom_action() lacking argument
	sbr/m_getfld.c: not working right on packf'd files
	uip/{msh,mshcmds}.c: under BPOP, need to fix things so m_getfld()
	    doesn't dump core!


Tue Feb 18 02:15:00 1986  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: upgrade for new m_getfld()
	support/general/scan.*, h/scansbr.h: still more changes
	support/general/replcomps: still more changes


Tue Feb 18 01:13:51 1986  /mtr <mrose@nrtc-gremlin>

	h/formatsbr.h: updates from Van


Mon Feb 17 20:14:35 1986  /mtr <mrose@nrtc-gremlin>

	support/general/scan.{time,size}: mday/month inverted
	sbr/{formatsbr,fmtcompile}.c: bring upto date with MH 6.3+
	sbr/formatsbr.c: missing tzone/sday/dst handling!
	h/scansbr.h: slight update
	uip/scansbr.c: try using formataddr() routine to do "correct"
	    formatting of scan'd addresses, didn't work! use friendly
	zotnet/tws/dtimep.lex: tsk, use lint!  also, fix numeric timezones
	sbr/addrsbr.c: some ismymbox fixes for non-BERK code (from 6.3)
	sbr/formatsbr.c: not priming the pump!
	h/fmtcompile.h, sbr/{formatsbr,fmtcompile}.c: add "friendly"
	support/general/scan.time2: call it scan.timely
	conf/makefiles/support/general: support scan.timely


Sun Feb 16 23:04:34 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/fmt/: move into sbr/ to avoid loading problems
	sbr/{addrsbr,formatsbr,fmtcompile,formataddr}.c: new files
	h/fmtcompile.h: new file
	conf/makefiles/{sbr,zotnetM}: update
	sbr/llib-lmh: update


Sun Feb 16 19:11:33 1986  /mtr <mrose@nrtc-gremlin>

	-- Incorporate Berkeley enhancements, courtesy of Van Jacobson --
	h/{format,scan}sbr.h: updated for new formatsbr stuff
	h/mh.h: updated for new m_getfld
	conf/MH: new default file
	conf/config/config.c: support spost under BERK and SENDMTS
	conf/mhconfig.c: support new zotnet/fmt/ directory
	conf/makefiles/uip: support spost
	conf/makefiles/zotnetM: support new zotnet/fmt/ directory
	conf/makefiles/zotnet/fmt: new Makefile
	conf/makefiles/zotnet/tws: support for new lex-based date parser
	sbr/m_gmsg.c,uip/msh.c: change init of READONLY
	sbr/m_getfld.c: re-written, super optimized!
	support/general/{digestcomps,mhl.digest,mhl.forward,scan.*}: use
	    new fmt stuff
	zotnet/fmt/: new directory
	zotnet/tws/{dtimep.lex,lexedit.sed,lexstring.c}: new files
	zotnet/tws/dtime.c: update
	uip/{forw,scan,scansbr}.c: use new format stuff
	uip/{inc,mhlsbr,mshcmds,replsbr}.c: use new format stuff
	uip/trmsbr.c: use stderr for ioctl()s
	uip/spost.c: new file
	uip/{addr,format}sbr.c: remove, they're in zotnet/fmt/


Sun Feb 16 15:40:20 1986  /mtr <mrose@nrtc-gremlin>

	sbr/m_setvis.c: oops, fix-up unseen sequence stuff
	uip/whatnowsbr.c: oops, a couple of typos


Sun Feb  9 22:14:10 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/syslog.c: #ifdef BSD43 means use standard syslog


Wed Feb  5 14:42:55 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/tws/{tws.h,dtime.c}: new argument to dasctime()
	uip/{format,pick}sbr.c: make use of it


Wed Feb  5 11:25:05 1986  /mtr <mrose@nrtc-gremlin>
	
	MH 6.3 #1[UCI] (nrtc-gremlin) is official, still awaiting Berkeley
	    enhancements


Wed Feb  5 09:32:08 1986  /mtr <mrose@nrtc-gremlin>

	support/bboards/mmdfII/READ-ME: update


Mon Feb  3 11:21:49 1986  /mtr <mrose@nrtc-gremlin>

	uip/whatnowsbr.c: oops, slight dist botch
	support/general/mhl.format: make date display user-friendly
	conf/mh-gen.8: clean-up descriptions of options
	uip/sbboards.c: normalize code wrt to MMDF-II BBoards channel
	uip/msh.c: when running under vmh and not in control of TTY,
	    ignore TSTP so BPOP can spool ahead!
	papers/{usenix/usenix,multifarious/multifarios,trusted/trusted}.tex:
	    fix up banners a bit


Sun Feb  2 20:47:36 1986  /mtr <mrose@nrtc-gremlin>

	miscellany/replies/: new directory


Sun Feb  2 14:01:28 1986  /mtr <mrose@nrtc-gremlin>

	zotnet/tws/dtime.c: twsort() fix from John Romine for ALTOS
	uip/addrsbr.c: smarter ismymbox for default case
	conf/{mh-gen.8,doc/repl.rf}, uip/repl.c: add #ifdef ATHENA code


Fri Jan 31 13:25:17 1986  /mtr <mrose@nrtc-gremlin>

	COVER-LETTER: update
	support/general/mhl.format: Remove length/width constraints


Mon Jan 27 17:51:07 1986  /mtr <mrose@nrtc-gremlin>

	uip/whatnowsbr.c: forgot to put -[no]push for built-in send
	h/addrsbr.h, uip/{addrsbr,post}.c: introduce auxformat(), the
	    back-end to adrformat(); post calls auxformat directly in
	    certain cases
	uip/{dp,forw}.c: was cheating on adrformat, now on auxformat


Sun Jan 26 16:57:18 1986  /mtr <mrose@nrtc-gremlin>

	{conf/makefiles/uip,uip/post.c}: lint touch-up
	conf/doc/{inc,mh-chart,send,post}.rf: add the #ifdef TMA stuff
	sbr/m_remsg.c: tuning
	uip/mark.c: re-arrange debug output slightly
	h/mh.h: add some padding to fix some m_remsg bugs
	uip/{inc,rcvstore}.c: oops, mp -> hghmsg not keeping pace with
	    m_remsg!


Wed Jan 22 11:13:08 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/popwrd.c: squash bug
	h/mh.h: remove sigmask definition
	uip/{bbc,vmh}.c: add sigmask if not defined in <signal.h>
	    (4.3BSD finally wised up!)


Fri Jan 17 13:19:23 1986  /mtr <mrose@nrtc-gremlin>

	uip/ali.c: add -noalias for RaJ


Wed Jan 15 23:15:54 1986  /mtr <mrose@nrtc-gremlin>

	support/pop/popsbr.c: pophack on PASS command


Wed Jan 15 19:03:54 1986  /mtr <mrose@nrtc-gremlin>

	COVER-LETTER: update


Wed Jan 15 18:44:32 1986  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: ismymbox() losing under #ifdef DUMB, oops!


Wed Jan 15 04:43:33 1986  /mtr <mrose@nrtc-gremlin>

	miscellany/netnews/: more stuff


Sun Jan 12 22:58:34 1986  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: getbbvis a bit too agressive, use popd algorithm


Sun Jan 12 14:01:25 1986  /mtr <mrose@nrtc-gremlin>

	miscellany/mh-e: new version from James Larus


Fri Jan 10 10:17:57 1986  /mtr <mrose@nrtc-gremlin>

	uip/sbboards.c: botch multiple bboard handling (forgot to rewind
	    input, thanks to Larry Henry)
	support/bboards/mmdfII/bboards/bb_wtmail.c: not handling errors
	    right
	sbr/cpydgst.c: stay symmetric with change to bb_wtmail.c, the code
	    worked fine, adding matching braces for clarity (!!)


Thu Jan  9 22:37:29 1986  /mtr <mrose@nrtc-gremlin>

	MH 6.2 is official, awaiting enhancements Berkeley!


Thu Jan  9 16:31:28 1986  /mtr <mrose@nrtc-gremlin>

	uip/mshcmds.c: don't rmm() messages which don't get refiled
	uip/vmh.c: truncate stuff on Scan window (finally)
	uip/scansbr.c: work on diagnostics a bit


Thu Jan  9 15:29:09 1986  /mtr <mrose@nrtc-gremlin>

		   -- Fixes Suggested by Craig Partridge --
	support/bboards/mmdfII/bboards/mmdfonly.h: if V4_2BSD on, set BSD42
	conf/doc/{mhl,show}.rf: talk more about moreproc
	uip/mhlsbr.c: have INTR work as advertised
	uip/{send,whatnowsbr}.c: link on dist botched, oops!


Wed Jan  8 23:16:10 1986  /mtr <mrose@nrtc-gremlin>

	uip/trmsbr.c: better defaults for "li" and "co"


Tue Jan  7 15:06:05 1986  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: got the SIGTSTP problem, now wait on child to stop prior
	    to stopping ourselves...


Mon Jan  6 15:25:20 1986  /mtr <mrose@nrtc-gremlin>

	uip/{msh,mshcmds}.c: work on refile
	uip/{vmh,msh}.c: support FAST quit (no final refresh on
	    updated mailbox)


Sun Jan  5 20:06:03 1986  /mtr (agent: Marshall Rose) <uci@dewey>

		  -- Interface TTI TMA to MH #6.2 --
	[ N.B.: The TTI TMA is NOT in the public domain; the MH support for
		the TTI TMA IS in the public domain! ]
	conf/{mh-gen.8,mhconfig.c,doc/ADMIN.rf}: support "tma on"
	conf/makefiles/{doc,uip}: ditto
	Makefile: for the moment


Fri Jan  3 13:11:03 1986  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: SIGTSTP race condition, #undef for now


Tue Dec 31 23:21:21 1985  /mtr <mrose@nrtc>

	uip/mhlsbr.c: a bit more pipe trickyness (this gets old real fast)
	conf/doc/ADMIN.rf: talk about popd and /etc/rc.local
	papers/{myths,mznet}/Makefile: update
	uip/bbc.c: augment XTND2 botch diagnostic
	uip/msh.c: if popd says BBoard-ID: for a message is 0, read it
	    ourselves


Tue Dec 31 22:23:43 1985  /mtr <mrose@nrtc>

	conf/doc/mhook.rf: minor typos
	miscellany/rcvtrip/*: update


Tue Dec 31 19:16:23 1985  /mtr <mrose@nrtc>

	zotnet/tws/{dtime,dtimep}.c: dst fix-ups
	conf/doc/send.rf: append, not prepend
	uip/rmail.c: slight touch-up
	uip/ap.c: oops, not printing all info
	zotnet/mf/mf.c: botching trailing comment handling!
	uip/scansbr.c: have cpy() omit trailing >>blank<<
	sbr/m_gmsg.c: not zero'ing msgstats[] under non-MTR code


Tue Dec 31 13:53:14 1985  /mtr <mrose@nrtc>

	conf/doc/whatnow.rf, uip/whatnowsbr.c: remove "headers" option
	conf/doc/ADMIN.rf: clear-up post -debug documentation
	conf/doc/{mh-chart,send,post}.rf, uip/{post,send,whatnowsbr}.c: remove
	    -[no]remove switches
	uip/{repl,post}.c: some touch-ups


Tue Dec 31 10:13:44 1985  /mtr <mrose@nrtc>

	conf/doc/vmh.rf: back-down last update
	conf/mh-gen.8: forgot an \&
	conf/examples/nrtc-{gw,mtr}, h/rcvmail.h: tsk, NRTC running an old
	    MMDF-II


Mon Dec 30 20:03:25 1985  /mtr <mrose@nrtc>

	conf/Makefile: options mangled(!?!)
	uip/msh.c: if update of mailbox fails, it gets zero'd(!!)
	    (oops, not checking error condition)
	support/pop/popser.c: if update of mailbox fails, clean-up
	    correctly (no zero problem here!)
	uip/inc.c: on truncate of maildrop, remove mailbox map (XXX)
	conf/makefiles/uip, uip/{send,whatnowsbr}.c: move send into
	    the WhatNow shell
	uip/sendsbr.c: new file
	conf/doc/whatnow.rf: update


Sun Dec 29 19:58:43 1985  /mtr <mrose@nrtc>

	zotnet/mts/client.c: fix #ifdef BIND stuff a bit
	h/mshsbr.h, uip/{mhlsbr,msh,mshcmds}.c: try to fix lost peer
	    problems...
	conf/doc/vmh.rf: update
	zotnet/drop/lock.c: not returning right errno
	uip/dropsbr.c: ditto, plus not trying enough
	conf/makefiles/doc: "make tar" forgetting tmac.h
	uip/addrsbr.c: strcpy de-referencing NULL
	uip/refile.c: got rid of a spurious \n (!!)
	conf/examples/{udel,nrtc-mtr}: new files
	h/mh.h, sbr/m_{convert,gmsg}.c, uip/{msh,rcvstore,refile}.c: fix
	    LOWSEL logic
	uip/vmh.c: fix slight bug in sideground handling (misspelled
	    #ifdef, oops!)
	conf/{mh-gen.8,config/mts.c},mts/*/hosts.c: remove the NETWORK option


Thu Dec 19 23:58:44 1985  /mtr <mrose@nrtc-gremlin>

	Release MH 6.2 to selected sites, including Berkeley for 4.3BSD testing


Thu Dec 19 22:34:23 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/mts/client.c: #ifdef BIND code when no gethostent()
	conf/{mh-gen.8,doc/mh-tailor.rf}: document it


Thu Dec 19 08:16:54 1985  /mtr <mrose@nrtc-gremlin>

	uip/refile.c: better diagnostic from Fred Blonder


Wed Dec 18 22:51:58 1985  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: optimize on calling mshproc, check size of maildrop
	    first; if empty, don't invoke it!


Wed Dec 18 20:27:38 1985  /mtr <mrose@nrtc-gremlin>

	uip/slocal.c: minor touch up
	uip/umhook.c: moved from zotnet/mf


Wed Dec 18 13:37:09 1985  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: make second, optimized pass to catch private bboards
	    that the user knows about
	uip/popsbr.c: ditto
	uip/popser.c: slight tune-up


Tue Dec 17 21:42:44 1985  /mtr <mrose@nrtc-gremlin>

	conf/makefiles/sbr, h/mh.h, sbr/llib-lmh: cndfree() removed
	sbr/{add,m_{delete,replace}}.c, uip/{mhl,vmh}sbr.c: replace cndfree
	sbr/m_foil.c, uip/install-mh.c: compensate


Tue Dec 17 18:26:34 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c, uip/{format,mhl,pick}sbr.c: clean-up indirection
	    code for less tolerant compilers
	uip/bbc.c: add -[no]rcfile switch
	uip/msh.c: clean up a diagnostic


Tue Dec 17 08:53:52 1985  /mtr <mrose@nrtc-gremlin>

	conf/makefiles/sbr, sbr/cndfree.c: clean-up a bit


Tue Dec 17 08:36:59 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: different alert announcement based on -forward


Wed Dec 11 19:08:20 1985  /mtr <mrose@nrtc-gremlin>

	miscellany/libndir: -lndir for non-BSD sites, graciously supplied
	    by Kirk McKusick


Tue Dec 10 23:28:20 1985  /mtr <mrose@nrtc-gremlin>

	uip/sbboards.c: oops, typo found by lint


Tue Dec 10 22:38:23 1985  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: normalize a bit (finally)
	uip/addrsbr.c: new routine adrsprintf() to remove #ifdef BANG
		dependencies
	uip/{post,rcvdist,replsbr,sbboards}.c: use adrsprintf()
	uip/post.c: remove #ifdef MF dependency for stand-alone MH,
	    remove #ifdef DUMB dependency by making addrsbr.c smarter
	    about being dumber
	mts/mmdf/hosts.c: remove #ifdef DUMB dependency (right now,
	    addrsbr:getm() is the only one that calls it and it doesn't
	    call it under #ifdef DUMB...


Tue Dec 10 21:11:45 1985  /mtr <mrose@nrtc-gremlin>

	conf/mh-gen.8: clear up some sys5 stuff
	zotnet/mf/umhook.c: sys5-ize
	uip/addrsbr.c: alternate-mailboxes: defaulted wrong under #ifdef
	    BERK, it's now "<userid>*"
	conf/doc/mh-profile.rf: fix documentation to reflect reality


Tue Dec 10 18:39:37 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/mts/client.c: moved from mts/sendmail/client.c
	conf/makefiles/{mts/sendmail,zotnet/mts}: changed
	mts/support/llib-lsendmail, zotnet/mts/llib-lmts: changed
	mts/sendmail/client.c: 4.2BSD specific only!
	conf/config/mts.c, zotnet/mts/mts.h: update
	conf/mhconfig.c: update
	conf/Makefile: simplify


Sun Dec  8 18:39:01 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: always remove dist file
	uip/vmh.c: work on erase-word handling, a bit
	uip/folder.c: -fast -vs- -pack fixup
	uip/mhlsbr.c: %text defined for date fields


Fri Dec  6 11:08:20 1985  /mtr <mrose@nrtc-gremlin>

	support/bboards/mmdfII/gen: wrong filename


Thu Dec  5 19:55:11 1985  /mtr <mrose@nrtc-gremlin>

	uip/scansbr.c: fix machine dependency pointed out by Chuck Collins
	dist/READ-ME: new file talking about make bug
	COVER-LETTER, conf/{mh-gen.8,doc/MH.rf}: change UCI -> UCI.EDU


Wed Dec  4 23:38:06 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/mts/mts.h: oops for MMDFONLY
	conf/{mh-gen.8,makefiles/zotnet/mts}: talk about -Dlocname


Sun Dec  1 16:11:03 1985  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: more idiotic de-referncing of NULL, found on SUNs
	uip/replsbr.c: ditto
	uip/show.c: recognize more of mhl's switches


Sun Dec  1 07:58:50 1985  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: remove double-scroll
	uip/annosbr.c: oops, closing fd: without unlocking!
	sbr/makedir.c: plug an obscure security hole in inc
	uip/mhlsbr.c: read_termcap being called prematurely
	zotnet/tws/dtime.c: load tw_sday appropriately
	zotnet/tws/*.c: try using numeric timezone for official renditions,
	    under #ifdef MTR for now


Sat Nov 30 22:36:49 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/tws/dtime.c: add #ifdef INETONLY
	uip/post.c: for #ifdef BERK don't say {Local,UUCP,Network}
	    Recipients
	conf/doc/sortm.rf: note problem with errors
	uip/bbc.c: for getbbvis() insist on readability
	support/bboards/bbexp.c: oops, calling pick wrong
	conf/doc/pick.rf: document -datefield anomaly
	conf/makefiles/support/bboards: oops, left context owned by root
	h/mh.h: ruserpass -> _ruserpass for SUN.  why?


Tue Nov 26 00:22:17 1985  /mtr <mrose@nrtc-gremlin>

	uip/refile.c: oops, forgot copy-back on optimzied m_remsg


Sun Nov 24 18:58:41 1985  /mtr <mrose@nrtc-gremlin>

	uip/slocal.c: some tuning, also fix a bug in usr_pipe()
	uip/dropsbr.c: have mbx_copy support noisy
	uip/{packf,post,rcvpack,sbboards,slocal}.c: use this change


Wed Nov 20 10:58:40 1985  /mtr <mrose@nrtc-gremlin>

	MH 6.1 covert update for sbr/m_convert.c, uip/send.c


Tue Nov 19 23:06:16 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: de-referencing NULL due to bad precedence, tsk


Sun Nov 17 16:28:23 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{ap,mhl,repl,scan}.rf: note that #ifdef BERK kills
	    address parsing
	conf/makefiles/{doc,uip,support/*,zotnet/*}: make tar command visible
	sbr/m_convert.c: oops, new message numbering resulted in bad
	    diagnostic
	papers/*/Makefile: fix LaTeX rule for v2.08


Fri Nov 15 19:14:44 1985  /mtr <mrose@nrtc-gremlin>

	uip/{rcvtty,slocal}.c: touch-ups


Tue Nov 12 11:24:46 1985  /mtr <mrose@nrtc-gremlin>

	MH 6.1 is official.








		      MHCHANGES from mh.5 to mh.6


Mon Nov 11 07:47:05 1985  /mtr <mrose@nrtc-gremlin>

	uip/slocal.c: implemenet MailDelivery, ala MMDF-II
	uip/rcv*.c: take advantage of it
	uip/rcvs{br,elect}.c: no longer needed
	uip/{folder,inc,refile}.c: done(1) if user doesn't want to create
	    folders


Sun Nov 10 16:30:46 1985  /mtr <mrose@nrtc-gremlin>

	uip/refile.c: set previous sequence on destination folders
	uip/rcvsbr.c: new file
	uip/rcvpack.c: change Cron-Date: to Delivery-Date:


Sun Nov 10 11:52:50 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: oops, annotations botched for forw!


Thu Nov  7 00:31:45 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_tmpfil.c: new routine
	uip/*.c: use it if necessary


Wed Nov  6 23:05:00 1985  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: add -[pa]ck file switches to packf(1) with the POP
	uip/bbc.c: add $MHBBRC support


Wed Nov  6 20:47:55 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: more msh-using-POP-to-read-BBoards speed improvements


Wed Nov  6 14:08:08 1985  /mtr <mrose@nrtc-gremlin>

	uip/mshcmds.c: burst wasn't resetting scan listing cache
	mts/sendmail/client.c: don't use servers defaulting if name of
	    service host is explicitly given


Wed Nov  6 01:55:16 1985  /mtr <mrose@nrtc-gremlin>

	support/bboards/mmdfII/bb_wtmail.c, uip/sbboards.c: use
	    encapsulation format when returning failed mail


Tue Nov  5 22:43:50 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/bboards/{bboards.h,getbbent.c}: new routine getbbtime()
	support/pop/{popd,popser}.c: use getbbtime() to speed start-up
	    time, a major win!
	conf/makefiles/uip: oops, sbboards installed in wrong area!


Tue Nov  5 22:29:29 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_replace.c: fix logic glitch: not using getcpy() on update!


Tue Nov  5 16:15:52 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/bboards/getbbent.c: optimize a bit
	zotnet/bboards/{bboards.h,getbbent.c}: new routine setpwinfo()
	support/{bboards/mmdfII/bboards/bb_wtmail,pop/pop{ser,wrd}}.c,
	uip/sbboards.c: use setpwinfo ()
	uip/mshcmds.c: slight typo in msh$pick


Mon Nov  4 16:00:56 1985  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: Wgetstr() now minibuffer-exit's right


Mon Nov  4 09:16:56 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: oops, bug in dist handling
	conf/{mhconfig.c,mh-gen.8}: warn about mhconfig requiring make
	    clean later


Sun Nov  3 22:06:58 1985  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: work-around standout bug in curses, under #ifdef XYZ
	uip/vmh.c: try slight work-around for double-scroll'ing effect


Sun Nov  3 13:12:51 1985  /mtr <mrose@nrtc-gremlin>

	uip/version.sh: smarter wrt finding hostname
	uip/msh.c: finally got re-direction under vmh right!
	uip/mhlsbr.c: for moreproc, get signal handling right


Thu Oct 31 21:40:50 1985  /mtr <mrose@nrtc-gremlin>

	Makefile, conf/makefiles/*: rm core in unclean
	sbr/m_atoi.c: renamed from mu_atoi()
	uip/bbc.c: minor add_bb() logic fix
	uip/new.c, support/news/: de-supported!
	uip/msh.c: re-direction under vmh was losing


Wed Oct 30 18:20:11 1985  /mtr <mrose@nrtc-gremlin>

		       -- Suggested by James M. Galvin --
	uip/bbl.c: invoke inc with -file not -ms


Wed Oct 30 18:19:49 1985  /mtr <mrose@nrtc-gremlin>

		     -- Suggested by Douglas P. Kingston --
	mts/mmdf/hosts.c: remove bogus gethostname() logic, let
	   the mtstailor file handle it.


Wed Oct 30 16:39:56 1985  /mtr <mrose@nrtc-gremlin>

	Makefile: add "make checkout" for MH maintainers only!
	uip/version.sh: extend


Tue Oct 29 22:33:45 1985  /mtr <mrose@nrtc-gremlin>

	h/dropsbr.h: new routine map_read()
	uip/dropsbr.c: performance improvement in map_read()
	uip/msh.c: -[no]topcur for vmh usage


Tue Oct 29 01:25:36 1985  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: freeing a couple of things twice!
	uip/msh.c: a malloc() bug!


Mon Oct 28 19:31:13 1985  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: don't read tty modes unless in foreground


Sun Oct 27 22:13:23 1985  /mtr <mrose@nrtc-gremlin>

	h/dropsbr.h, uip/dropsbr.c: add new field, m_size, to maildrop
	    structure (and bump version number).  This keeps track of
	    the number of ARPA Internet octets in the message
	support/bboards/mmdf*/bboards/bb_wtmail.c, support/pop/popser.c,
	uip/dropsbr.c, uip/mshcmds.c, uip/rcvpack.c, uip/sbboards.c: all
	    affected...


Sun Oct 27 17:40:20 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/bboards/{bboards.h,getbbent.c}: make make_lower() integral
	uip/vmh.c: avoid ~'s when possible (actually forever owing to pWIN
	    logic!)
	uip/vmh.c: make STATUS window be reverse-video, make prompt
	    not be reverse-video
	uip/vmh.c: have EOT work as expected under bbc
	uip/vmh.c: if CE set, then don't scroll on exit
	uip/msh.c: make readids() logic smarter in the degenerate case
	h/mshsbr.h, uip/{msh,mshcmds}.c: keep scan line cached
	uip/{msh,mshcmds}.c: clean-up handling under vmh a bit
	uip/{bbc,inc,msgchk}.c: improve defaulting for nullifying host
	conf/config/mts.c: with flock() retry 5 times at 5 second intervals


Fri Oct 25 08:38:35 1985  /mtr <mrose@nrtc-gremlin>

	support/pop/popser.c, uip/bbc.c: don't recognize bb_aka's in
	    name lookups


Thu Oct 24 21:07:37 1985  /mtr <mrose@nrtc-gremlin>

	conf/config/mts.c: new variable popbblist which, if present,
	    lists only thoses hosts that can use BBoards over POP


Wed Oct 23 20:46:17 1985  /mtr <mrose@nrtc-gremlin>

	uip/prompter.c: -prepend is the default now
	uip/burst.c: -noinplace is the default now


Wed Oct 23 12:34:04 1985  /mtr <mrose@nrtc-gremlin>

	conf/config/mts.c: two new variables: popbbhost and popbbuser,
	    under #ifdef BPOP
	uip/bbc.c: use same
	support/pop/pop.txt: revise remove HEAD in favor of more general
	    TOP


Wed Oct 23 01:34:54 1985  /mtr <mrose@nrtc-gremlin>

	conf/mhconfig.c: change default bbhome to /usr/spool/bboards
	support/pop/popser.c: support maildrop mapping
	uip/dropsbr.c: some optimizations
	support/pop/popsbr.c: link into uip/ directory to simplify
	    top-level Makefile


Tue Oct 22 21:47:01 1985  /mtr <mrose@nrtc-gremlin>

	uip/bbc.c: don't have -help imply -topics


Mon Oct 21 18:45:29 1985  /mtr <mrose@nrtc-gremlin>

	conf/mh-gen.8: mention gould stuff
	conf/doc/*.rf: talk about quoting of arguments


Mon Oct 21 12:26:56 1985  /mtr <mrose@nrtc-gremlin>

	uip/{msh,vmh}.c: some tuning
	uip/bbc.c: know about SIGTSTP


Sun Oct 20 22:11:58 1985  /mtr <mrose@nrtc-gremlin>

			-- Suggested by Hokey for SYS5 --
	conf/mh-gen.8: mention -lndir for SYS5
	sbr/m_gmsg.c: fix stand-alone continue
	makefiles: add SHELL=/bin/sh


Sun Oct 20 13:03:13 1985  /mtr <mrose@nrtc-gremlin>

	conf/config/bboards.*: fix to work under sh or csh


Sun Oct 20 13:02:59 1985  /mtr <mrose@nrtc-gremlin>

	uip/rmf.c: add -[no]interactive switch


Thu Oct 17 19:41:18 1985  /mtr <mrose@nrtc-gremlin>

			  -- Suggested by Dave Yost --
	uip/install-mh.c: new variable, mh_defaults, to default user's
	    profile


Thu Oct 17 16:02:25 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: move pgmwait out of msh and into it's own sbr/ file
	h/mh.h, {sbr,uip}/*.c: normalize pidwait stuff
	sbr/m_foil.c, uip/{post,send,whom}.c: fix bug in alias mechanism
	    when following included files
	uip/{inc,post,send,whom}.c: normalize switch handling a bit


Tue Oct 15 18:52:49 1985  /mtr <mrose@nrtc-gremlin>

	uip/prompter.c: add hidden -[no]body switch
	sbr/vfgets.c: slight logic botch


Tue Oct 15 17:14:11 1985  /mtr <mrose@nrtc-gremlin>

	h/mh.h, sbr/m_{convert,gmsg,remsg}.c,
	uip/{burst,inc,rcvstore,refile}.c: final XYZ check-out, remove
	    #ifdefs


Mon Oct 14 12:03:39 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: still more work on annotation logic...


Sun Oct 13 18:17:10 1985  /mtr <mrose@nrtc-gremlin>

	sbr/vfgets.c: oops, minor typo
	sbr/m_gmsg.c: re-think alloc strategy a bit
	sbr/m_gmsg.c: use #ifdef XYZ experimental code for no limits to
	    #-messages in a folder!
	sbr/m_file.c: move into uip/refile.c
	h/folder.h: remove


Sun Oct 13 14:17:10 1985  /mtr <mrose@nrtc-gremlin>

	h/mshsbr.h, uip/{msh,mshcmds,vmh}.c: fix signal handling for
	    forks under vmh
	support/bboards/mmdf*/bboards/ch_bboards.c: remove some logging
	    info


Wed Oct  9 19:49:04 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: fix bogus annotation handling, e.g., 
	    send -push; rmm; folder -pack
	uip/{forw,mhlsbr}.c: add extra blank line after final EB so
	    user can add suffix text with an editor (e.g., prompter)
	    and not screw-up
	conf/doc/burst.rf: warn about text after final EB being lost
	    with -inplace


Sun Oct  6 20:38:29 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: fseek() too tricky for our own good...
	uip/{burst,mshcmds}.c: try to recover from errors more gracefully
	    (ha!)


Sun Oct  6 11:46:11 1985  /mtr <mrose@nrtc-gremlin>

	uip/{folder,scan}.c: context changes ASAP
	sbr/remdir.c: clean-up
	h/mh.h, uip/{mhlsbr,mhmail,msh,post,prompter}.c: fix up signal
	    handling when in background


Sat Oct  5 23:17:39 1985  /mtr <mrose@nrtc-gremlin>

	Makefile, conf/makefiles/*: fix "make tar"
	uip/mshcmds.c: finally track down that mhl pipe problem
	Makefile, conf/makefiles/*: clean->unclean,squeaky->clean


Sat Oct  5 17:22:56 1985  /mtr <mrose@nrtc-gremlin>

			  -- Suggested by Dave Yost --
	h/mh.h, conf/config/config.c: define globals in config.c, extern
	    'em in mh.h
	conf/mhconfig.c: rm files prior to creating 'em for CTM
	uip/version.sh: ditto


Sat Oct  5 14:20:02 1985  /mtr <mrose@nrtc-gremlin>

	uip/{post,rcvdist}.c: add call to mmdf_init() under #ifdef MMDFII
	h/mh.h, *: XYZ becomes the "real thing"


Fri Oct  4 21:08:26 1985  /mtr <mrose@nrtc-gremlin>

	uip/{comp,dist,forw,repl}.c: -[no]whatnow changed to
	    -[no]whatnowproc
	uip/{next,prev,show}.c: -[no]show changed to -[no]showproc
	uip/vmh.c: -[no]visual changed to -[no]vmhproc
	uip/rmm.c: Delete-Prog: changed to rmmproc


Fri Oct  4 19:36:56 1985  /mtr <mrose@nrtc-gremlin>

	h/mh.h, conf/config/config.c, sbr/m_getdefs.c: make vmhproc a
	    built-in
	uip/vmh.c: ditto, also better help message


Thu Oct  3 23:43:35 1985  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: change "-ms ms-file" to "-file name" to be more
	    consistent
	uip/inc.c: also, if -notruncate, don't zero POP maildrop!


Wed Oct  2 21:34:44 1985  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: a bit more tuning


Wed Oct  2 11:31:49 1985  /mtr <mrose@nrtc-gremlin>

			  -- Suggested by Dave Yost --
	sbr/m_getdefs.c: avoid a cast (and structure dependencies) by using
	    a popular C idiom (taught to Dave by Bakul Shah).  [This also
	    makes MH work on the Gould...]
	h/mh.h,sbr/m_delete.c: take the opportunity to clean things up a bit


Wed Oct  2 11:12:52 1985  /mtr <mrose@nrtc-gremlin>

	uip/{burst,mshcmds}.c: oops, another "slight" typo


Wed Oct  2 10:03:12 1985  /mtr <mrose@nrtc-gremlin>

			-- Pointed out by Bob Designer --
	uip/slocal.c: oops, typo!


Wed Oct  2 02:48:02 1985  /mtr <mrose@nrtc-gremlin>

	uip/vmh.c: add less-like interface to command handling


Tue Oct  1 22:08:32 1985  /mtr <mrose@nrtc-gremlin>

	h/mh.h, sbr/m_gmsg.c: slight XYZ tuning


Tue Oct  1 14:31:54 1985  /mtr <mrose@nrtc-gremlin>

	conf/makefiles/doc: oops, version.me -> version.rf
	uip/msh.c: oops, zero'd name of BBoard prior to putenv of mhfolder
	conf/mhconfig.c: support ldflags for options to ld at beginning
	    of command


Tue Oct  1 10:15:24 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_getdefs.c: set[ug]id() to real [ug]ids prior to exec of
	    install-mh
	uip/install-mh.c: don't need set[ug]ids, also if -auto, don't
	    ask questions, say what you're going to do and do it!
	zotnet/mts/mts.h: remove reference to "../h/strings.h"
	conf/config/mts.c,support/bboards/bbaka.c: ask for "../h/strings.h"
	mts/{mh/{hosts,netmail},sendmail/{client,hosts,smail},mmdf/hosts}.c:
	    ditto
	zotnet/mf/mf.h: ditto


Thu Sep 26 11:42:18 1985  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: change Alternate-Mailboxes: defaulting


Tue Sep 24 19:18:49 1985  /mtr <mrose@nrtc-gremlin>

	uip/burst.c: make static structure an alloc'd structure
	uip/{burst,mshcmd}.c: trim extra trailing newline if present


Mon Sep 23 10:42:18 1985  /mtr <mrose@nrtc-gremlin>

	support/bboards/mmdf*/bboards/bb_wtmail.c: remove bogus ch_host
	    hackery; use the BBoard file instead!
	uip/bbc.c: add -[no]protocol to tell bbc if mshproc knows about
	    bbc protocol


Mon Sep 23 04:25:33 1985  /mtr <mrose@nrtc-gremlin>

	uip/show.c: normalize showproc handling; remove -[no]format and
	    -[no]pr, add -show program and -noshow


Sun Sep 22 21:06:21 1985  /mtr <mrose@nrtc-gremlin>

	uip/{msh,mshcmds}.c: interface to vmh


Sat Sep 21 00:12:47 1985  /mtr <mrose@nrtc-gremlin>

	h/vmhsbr.h, uip/{vmh,vmhsbr,vmhtest}.c: experimental new visual
	    front-end to msh
	sbr/*.c: break many aggregate files into smaller ones


Fri Sep 20 22:35:56 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: have "quit" command update msgbox after confirmation if
	    changed
	uip/{mhlsbr,repl}.c: on forwardings/replies force -noclear (HACK)
	uip/prompter.c: fold in SYS5 terminal handling better


Fri Sep 20 21:22:55 1985  /mtr <mrose@nrtc-gremlin>

	conf/mhconfig.c: add mandir entry to overrid /usr/man
	zotnet/mf/uumm.c: simplify a conditional for the ALTOS


Fri Sep 20 20:59:19 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: split into h/mshsbr.h, uip/{msh,mshcmds}.c
	uip/mshcmds.c: on refile, without -link, mark messages as deleted


Fri Sep 20 09:48:06 1985  /mtr <mrose@nrtc-gremlin>

	miscellany/mh-e: GNU Emacs front-end to MH from James Larus


Wed Sep 18 23:23:28 1985  /mtr <mrose@nrtc-gremlin>

	conf/mhconfig.c: oops, toss (void)'s


Wed Sep 18 07:49:27 1985  /mtr <mrose@nrtc-gremlin>

	sbr/discard.c: oops, logic was botched for all versions of UNIX!


Tue Sep 17 09:47:55 1985  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: slight tuning to #ifdef BERK


Mon Sep 16 21:50:01 1985  /mtr <mrose@nrtc-gremlin>

		       -- Suggestion from John Shepherd --
	uip/slocal.c: handle idiotic multiple "From " lines


Mon Sep 16 20:53:18 1985  /mtr <mrose@nrtc-gremlin>

		      -- Fixes from Hokey (mostly SYS5) --
	uip/version.sh: generate version.rf not version.me so it stays
	    around
	conf/doc/{ADMIN,MH}.rf: use same
	conf/mhconfig.c: new option "ranlib" for BSD or SYS5
	conf/makefiles/*: use same


Mon Sep 16 20:50:32 1985  /mtr <mrose@nrtc-gremlin>

	miscellany/less: sources to Mark Nudelman's "less" program included
	    Thanks, Mark!
	zotnet/tws/dtime.c: support illegal GreyBook timezone strings


Wed Sep 11 22:02:17 1985  /mtr <mrose@nrtc-gremlin>

			    -- Suggested by John A. Dilly --
	mts/sendmail/smail.c: fix bug with intermittant dot being added
	    during sm_wtxt(); thanks, John!
	conf/config/config.c: support ~/.mhrc by allowing libpath()
	    recognize the CShell ~-construct.  This is under #ifdef MHRC


Wed Sep 11 11:03:29 1985  /mtr <mrose@nrtc-gremlin>

	conf/makefiles/*, conf/makefiles/*/*: unifdef stuff wasn't working
	    out, remove it


Wed Sep 11 10:10:33 1985  /mtr <mrose@nrtc-gremlin>

		    -- More doc fixes from Phyllis Kantar --
	conf/doc/{comp,dist,mh,mhl,repl,whatnow}.rf: doc fixes


Tue Sep 10 17:47:35 1985  /mtr <mrose@nrtc-gremlin>

	conf/{mhconfig.c,mh-gen.8}: change "uucp" option to "mf" option
	conf/{examples,tailor}/READ-ME: remove since mh-gen.8 contains
	    this information now


Tue Sep 10 16:23:23 1985  /mtr <mrose@nrtc-gremlin>

	Makefile, conf/Makefile, conf/makefiles/*: implement "make squeaky"
	    and "make tar"


Mon Sep  9 22:12:59 1985  /mtr <mrose@nrtc-gremlin>

	zotnet/bboards/{bboards.h,getbbent.c}: flags for setbbent()
	uip/bbc.c, support/{bboards/*,pop/*}.c: use 'em


Mon Sep  9 19:42:13 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{MH,comp,dist,forw,mh-mail,mhl,repl}.rf: better verbatim
	    mode in roff
	zotnet/tws/dtime*.c: more SYS5 cleanup
	conf/doc/{ADMIN,MH,mh-mts,popd}.rf: more doc hackery
	uip/post.c: remove tmpfil/bccfil when dying()


Sat Sep  7 17:43:53 1985  /mtr <mrose@nrtc-gremlin>

		   -- Major Directory Tree Re-Organization --
	papers/: new directory, move TeX stuff from othersupport/ there
	conf/{mhconfig.c,makefiles/{othersupport,papers}}: support this
	config/*.h, */*.c: move .h files to new directory h/, update .c
	    files accordingly
	h/strings.h: new .h file to define all those string functions once
	    and for all!
	{bboards,mts,mf,tws}/: move under zotnet/
	mts/: new directory
	{mhmts,sendmts,mmdf}/: move under mts/
	{support,popsupport,newsupport,bbsupport}: move under support/


Sat Sep  7 17:43:24 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: advise of gap when BBoard reading


Sat Sep  7 16:42:06 1985  /mtr <mrose@nrtc-gremlin>

	conf/config/mts.c, config/mh.h, mf/mf.h: remove dup2() define for
	    SYS5 and add it as a real routine
	conf/doc/{MH,bbleader,burst,forw,mf,mh-profile,scan}.rf: doc fixes


Sun Sep  1 17:12:54 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/MH.rf: minor typo and change the names of a few chapters


Thu Aug 29 20:13:47 1985  /mtr <mrose@nrtc-gremlin>

	bboards/getbbent.c, tws/dtimep.c: normalize


Thu Aug 29 15:09:25 1985  /mtr <mrose@nrtc-gremlin>

	uip/{ali,post}.c: load system aliases file last instead of first.
	    This lets users override system aliases AND rely on
	    host-specific alias for final resolution!


Thu Aug 29 10:52:41 1985  /mtr <mrose@nrtc-gremlin>

			 -- Merge in changes for SYS5 --
	conf/examples/READ-ME: all non-sprintf changes under #ifdef SYS5
	conf/{mhconfig.c,config/{config,mts}.c}, sbr/*.c, tws/dtime*.c,
	uip/*.c: sprintf() returns an int, so always (void) it
	tws/dtime*.c: no ftime()
	conf/mhdoc: echo works differently, ridiculous!
	config/mh.h: dup2() doesn't exist, so define it
	conf/mhconfig.c, uip/post.c: enums might not exist
	sbr/discard.c, uip/{prompter,trmsbr}.c: ioctl()'s different


Thu Aug 22 20:12:05 1985  /mtr <mrose@nrtc-gremlin>

	uip/{forw,mhlsbr}.c: let mhl know about digest handling so forw
	    becomes less complicated (mhl already knows about forwarding)!


Wed Aug 21 11:12:33 1985  /mtr <mrose@nrtc-gremlin>

	conf/{config/config.c,makefiles/{support,uip}}, config/mh.h,
	conf/doc/{MH,forw,mh-profile}.rf,uip/forw.c: use formatsbr to do
	    digestifying
	uip/formatsbr.c: fix minor typo
	tws/{tws.h,dtime.c}: new routine, twsnow()
	mf/uumm.c, tws/dtime.c, uip/{msh,picksbr,scansbr,sortm}.c: use twsnow()


Tue Aug 20 22:19:18 1985  /mtr <mrose@nrtc-gremlin>

	Makefile,conf/makefiles/{sbr,zotnet}: clean-up make clean a bit


Tue Aug 20 15:59:46 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{ADMIN,pop8,rcvstore}.rf: minor clean-up


Tue Aug 20 11:27:22 1985  /mtr <mrose@nrtc-gremlin>

	othersupport/Mail: new directory, unsupported


Mon Aug 19 20:07:50 1985  /mtr <mrose@nrtc-gremlin>

	conf/{mhconfig.c,mh-gen.8}: new config option "bbhome"
	conf/config/bboards.{daily,weekly}: moved from bbsupport/
	conf/{config/crontab,doc/{ADMIN,bbc}.rf,makefiles/{bbsupport,uip}}:
	    support bbhome
	conf/examples/nrtc-isc: renamed to nrtc-gremlin
	conf/MAKE: modified accordingly


Sun Aug 18 20:22:17 1985  /mtr <mrose@nrtc-gremlin>

	uip/{burst,msh,picksbr}.c: augment botch message a bit


Fri Aug 16 05:48:51 1985  /mtr <mrose@nrtc-gremlin>

	mf/{mf.h,{mf,mmuu,umhook,uumm}.c}: change vfgets() to mfgets(),
	    and slight bug fix in the process
	conf/makefiles/sbr, config/mh.h, sbr/llib-lmh: new vfgets()
	sbr/vfgets.c: new routine to support virtual-fgets
	uip/{alias,format,mhl}sbr.c: call vfgets to handle continuation lines
	conf/doc/{ap,dp,mh-alias,mhl,repl,scan}.rf: continuation lines now
	    supported
	support/replcomps
	conf/config/mts.c, sbr/m_{draft,getdefs,whatnow}.c,
	sendmts/smail.c, tws/dtime.c,
	uip/{comp,inc,mark,mhpath,msh,post,rcvstore,refile,send}.c: notdef
	    cleanup
	sendmts/hosts.c, uip/{aliasbr,dropsbr,rcvdist,send}.c: minor cleanup
	sbr/{add,m_replace}.c: ditto
	uip/mhlsbr.c: minor parenthization for ALTOS


Fri Aug 16 04:48:13 1985  /mtr <mrose@nrtc-gremlin>

	conf/{mhconfig.c,mh-gen.8,makefiles/uip}: fix long standing bug
	    about sbboards, slocal, and spop being installed even for MMDF
	    configurations


Fri Aug 16 03:55:21 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_getfld.c, uip/msh.c: fix trailing newline bug with mhl+no
	    moreproc
	uip/addrsbr.c: slight touch-up


Thu Aug 15 16:58:13 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{bbleader,bboards,mh-profile,prompter,show}.rf: minor touch-up


Thu Aug 15 16:42:26 1985  /mtr <mrose@nrtc-gremlin>

	CMP: shell script to aid Bug-MH in figuring out what's changed


Thu Aug 15 11:19:26 1985  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: forgot an #ifdef for POP


Wed Aug 14 21:54:20 1985  /mtr <mrose@nrtc-gremlin>

	conf/config/mts.c, config/aliasbr.h, sbr/{m_getdefs,path}.c,
	popsupport/popd.c, uip/{ali,aliasbr,msh,picksbr,post}.c: a couple
	    more touch-ups


Wed Aug 14 17:27:41 1985  /mtr <mrose@nrtc-gremlin>

	config/aliasbr.h: optimize structures for ALTOS
	uip/aliasbr.c: optimize for ALTOS and UNIX in general


Mon Aug 12 19:42:28 1985  /mtr <mrose@nrtc-gremlin>

	uip/mhlsbr.c: slight clarification for ontty == NOTTY and -clear
	    at termination; also, try to get signals right again


Thu Aug  8 00:00:00 1985  /mtr <mrose@nrtc-gremlin>

	MH #6.59 enters beta


Wed Aug  7 21:14:19 1985  /mtr <mrose@nrtc-gremlin>

	uip/mhlsbr.c: m_popen_pid -> m_pid for 7limit


Tue Aug  6 17:22:59 1985  /mtr <mrose@nrtc-gremlin>

			     -- From John Romine --
	conf/makefiles/mmdf: slight typo
	mmdf/LN: better version
	conf/{mh-gen.8,mhconfig.c,makefiles/doc}: support two new options
	    for manual pages: "none" and "gen"


Mon Aug  5 20:57:47 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_gmsg.c, uip/{bbl,mhlsbr,post,refile}.c: minor notdef touch-up
	conf/doc/inc.rf: slight touch-up
	conf/mhconfig.c: support some invocation arguments
	uip/sortm.c: alloc structure dynamically


Mon Aug  5 20:27:12 1985  /mtr <mrose@nrtc-gremlin>

	uip/rcvstore.c, conf/doc/rcvstore.rf: new program from Julian
	    Onions
	conf/{makefiles/uip,doc/{MH,mh,mh-chart,mhook}.rf}: upgrade


Mon Aug  5 12:29:56 1985  /mtr <mrose@nrtc-gremlin>

			     -- From John Romine --
	conf/config/mts.c: do lock structure allocation dynamically
	    and free up 25K of static data space (which may never even
	    be referenced!)


Sun Aug  4 14:23:35 1985  /mtr <mrose@nrtc-gremlin>

			-- Suggested by Phyllis Kanter --

	conf/doc/*.rf: doc fixes


Sun Aug  4 14:23:58 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{ADMIN,mh-mts,bboards8}.rf: doc fixes


Thu Aug  1 21:30:36 1985  /mtr <mrose@nrtc-gremlin>

	uip/inc.c: fix conflict between -ms and POP


Wed Jul 31 10:44:22 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{tmac.h,{ADMIN,MH,bbl,folder,mh-profile,msh,scan,whatnow}.rf}:
	    documentation fixes
	conf/doc/{mhpath,show}.rf: ditto
	uip/msh.c: slight typo


Tue Jul 30 21:44:00 1985  /mtr <mrose@nrtc-gremlin>

			-- Suggested by Phyllis Kanter --
	uip/folder.c: fix -fast and -recurse mis-interaction
	uip/burst.c: fix non-existant message handling when expanding the
	    folder
	conf/config/config.c: fix comment re: whatnowproc
	config/mh.h, sendmts/smail.c: declare a couple of things that
	    should be in <strings.h>
	sbr/m_getdefs.c: don't complain if "context: file" isn't there.
	sbr/m_{convert,file,gmsg,name}.c: fix boundary handling of MAXFOLDER
	conf/mh-gen.8: say a few words about chown, remove in MH config
	    file
	conf/{config/config.c,examples/READ-ME}: two new options,
	    FOLDPROT, MSGPROT
	conf/{config/config.c,doc/mh-profile.rf}, config/mh.h: add the
	    "unseen-sequence"
	sbr/{m_setcur.c,llib-lmh}, uip/{inc,show}.c: do the UNSEEN business


Sat Jul 27 12:55:27 1985  /mtr <mrose@nrtc-gremlin>

	sbr/m_sync: slight adjustment
	uip/{addr,format,pick}sbr.c: a bit more debug info


Sat Jul 27 12:46:12 1985  /mtr <mrose@nrtc-gremlin>

		   -- Documentation Fixes from Bob Designer --
	conf/doc/{post,mh-profile,show,send,repl,next,folder}.rf: typos
	uip/whatnowsbr.c: back to the old prompt


Sat Jul 27 00:33:39 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{mhl,show}.rf: upgrade a bit
	conf/makefiles/uip, uip/{mhl,mhlsbr,show}.c: add address/date parsing
	    on demand
	conf/doc/{dp,scan}.rf, uip/formatsbr.c: slight upgrade
	support/mhl.{format,forward}: update a bit


Fri Jul 26 11:09:35 1985  /mtr <mrose@nrtc-gremlin>

	sendmts/smail.c: slight fix for major bug with #ifdef BERK


Thu Jul 25 21:31:00 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/pick.rf: finally get documentation right
	conf/makefiles/dist: a few more things


Thu Jul 25 17:00:17 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/ADMIN.rf, uip/{inc,msgchk}.c: minor re-work POP debug
	    features


Thu Jul 25 00:00:00 1985  /mtr <mrose@nrtc-gremlin>

	MH #6.24 enters beta


Wed Jul 24 23:42:41 1985  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: bug with #ifdef BERK, mp -> m_nohost not getting
	    set so no aliasing done!
	conf/config/mts.c: lockfile name building botched!


Wed Jul 24 21:01:15 1985  /mtr <mrose@nrtc-gremlin>

	uip/forw.c: -build logic botched


Wed Jul 24 14:07:31 1985  /mtr <mrose@nrtc-gremlin>

	conf/mh.h, sbr/m_getfld.c, uip/{msh,{mhl,scan}sbr}.c: fix broken
	    msh message delimiting behavior and broken mhl behavior under
	    msh


Tue Jul 23 20:30:39 1985  /mtr <mrose@nrtc-gremlin>

	uip/whom.c: pass more switches to post.  Since they're ALL secret,
	    no documentation needed!



Mon Jul 22 16:50:54 1985  /mtr <mrose@nrtc-gremlin>

	uip/picksbr.c: logic for handling "--header value" botched


Sun Jul 21 15:36:24 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/{send,whom,mh-alias}.rf:  aliasing hints
	conf/doc/{{MH,tmac}.h,template}: support hints section
	conf/doc/mh-mts.rf: minor fix


Thu Jul 18 15:59:19 1985  /mtr <mrose@nrtc-gremlin>

	conf/mh-gen.8: typo


Wed Jul 17 09:47:19 1985  /mtr <mrose@nrtc-gremlin>

	bboards/mmdf/mmdf.2/bboards/bb_wtmail: change dist_address to
	    ds_address, dist_log to ds_log


Tue Jul 16 12:41:54 1985  /mtr <mrose@nrtc-gremlin>

	uip/ali.c: forgot to call mts_init() to get "everyone", and "noshell"


Sun Jul 14 18:51:22 1985  /mtr <mrose@nrtc-gremlin>

	uip/formatsbr.c: handle the blank line bug by hacking it (see the
	    "echo controversy" discussed above).  The solution is to insert
	    a space in truly blank lines...


Sun Jul 14 13:44:13 1985  /mtr <mrose@nrtc-gremlin>

	othersupport/bboards: version #2.1 as suggested by Jerry Sweet
	conf/doc/{ADMIN,mf,mh-{mts,tailor},bb{exp,oards5,tar},pop8}.rf: fixes
	    suggested by Jerry Sweet


Sun Jul 14 13:23:49 1985  /mtr <mrose@nrtc-gremlin>

	tws/dtimep.c: have "BST" mean British Summer Time not
	    Bering Standard Time


Sun Jul 14 12:54:55 1985  /mtr <mrose@nrtc-gremlin>

		     -- Enhancements from John L. Romine --
	uip/mhlsbr.c: minor cleanup


Fri Jul 12 10:32:40 1985  /mtr <mrose@nrtc-gremlin>

	config/mh.h,sbr/uleq.c: change strindex() -> stringdex () to avoid
	    MMDF name conflict
	uip/{addrsbr,dropsbr,msh,rcvpack,sbboards}.c: ditto


Thu Jul 11 12:34:15 1985  /mtr <mrose@nrtc-gremlin>

	conf/makefiles/uip: oops, forgot a @END: SENDMTS inside an @BEGIN: POP


Wed Jul 10 20:40:53 1985  /mtr <mrose@nrtc-gremlin>

	conf/config/config.c,config/mh.h,sbr/m_getdefs.c,uip/mhlsbr.c:
	    mhl's choice of mhlproc was confusing to forw.  Add new variable
	    moreproc to fix the problem.  Note as a result, the old BERK
	    behavior is the default, you have to turn off moreproc in your
	    .mh_profile if you don't want mhl to use it


Wed Jul 10 14:48:05 1985  /mtr <mrose@nrtc-gremlin>

	uip/mhlsbr.c: don't SIG_DFL signals on start-up; if run from msh,
	    this loses big, if not run from msh, then signals are SIG_DFL
	    anyway...


Wed Jul 10 14:08:39 1985  /mtr <mrose@nrtc-gremlin>

	conf/makefiles/popsupport,popsupport/popd.{c,8c}: a bit of clean-up


Wed Jul 10 12:07:42 1985  /mtr <mrose@nrtc-gremlin>

	uip/addrsbr.c: another de-reference of NULL fixed


Wed Jul 10 09:04:04 1985  /mtr <mrose@nrtc-gremlin>

	uip/send.c: typo defining LISTDSW


Tue Jul  9 18:59:21 1985  /mtr <mrose@nrtc-gremlin>

	 -- Suggested by Thomas Scott Christiansen <tom@wisc-ai.ARPA> --
	uip/msh.c: move big Msgs[] structure from auto to static
	othersupport/netnews/{.,mhbox}/: new directories
	othersupport/netnews/{mh_profile,mhbox/flupcomps} new files


Sun Jul  7 13:31:01 1985  /mtr <mrose@nrtc-gremlin>

	othersupport/scripts/: new directory for scripts.  First is Bob
	    Designer's modifications to JLR's append script.
	othersupport/mtrenv/bin/append: remove


Sun Jul  7 13:26:28 1985  /mtr <mrose@nrtc-gremlin>

	uip/{addsbr,post,rcvdist,replsbr,sbboards}.c: support #ifdef BANG
	conf/examples/READ-ME: ditto


Thu Jul  4 17:36:34 1985  /mtr <mrose@nrtc-gremlin>

	uip/msh.c: "pack" should be called "packf".


Thu Jul  4 16:00:38 1985  /mtr <mrose@nrtc-gremlin>

	othersupport/mtrenv/mhbox/dp.debug: new file


Thu Jul  4 08:38:01 1985  /mtr <mrose@nrtc-gremlin>

	tws/{dtime,dtimep}.c: know about J{D,S}T, also under #ifdef HUJI
	    generate it if appropriate.  (from Danny Braniss)


Thu Jul  4 08:29:11 1985  /mtr <mrose@nrtc-gremlin>

	conf/doc/ADMIN.rf: put in a word or two about running conflict
	conf/makefiles/dist: add rules for .imp files


Mon Jul  1 22:22:49 1985  /mtr <mrose@nrtc-isc>

	conf/doc/mhl.rf, uip/mhlsbr.c: remove the #ifdef BERK stuff and
	    generalize it.  If the MH profile entry mhlproc is defined, then
	    you get the BERK behavior using the mhlproc as the output filter.
	    Otherwise, you get the old behavior.  If this works nice, I'll
	    make "more" the default mhlproc and set-up config.c, mh.h, and
	    m_getdefs.c as appropriate (with the documentation mh-profile.rf)
	    For the moment, I'm using "less" as my mhlproc and it works
	    fine.


Mon Jul  1 09:18:42 1985  /mtr <mrose@nrtc-isc>

	sbr/m_{file,gmsg}.c, uip/{msh,refile,rmm,send}.c: #ifdef notdef the
	    stuff marking messages as DELETED, since it's not used


Mon Jul  1 06:26:38 1985  /mtr <mrose@nrtc-isc>

		       -- Suggestions from Bob Desinger --
	config/mh.h, sbr/m_backup.c: locate SBACKUP definition in mh.h
	sbr/m_gmsg.c, uip/rmf.c: handle SBACKUP prefix files appropriately,
	    also, slight optimizations


Wed Jun 26 12:36:38 1985  /mtr <mrose@nrtc-isc>

	MH #5.457 becomes MH #6.1 in beta


Mon Jun 24 23:31:42 1985  /mtr <mrose@nrtc-isc>

	uip/send.c: try to prevent confused annotations.  The algorithm
	    works for dist and repl, but not forw


Mon Jun 24 14:58:25 1985  /mtr <mrose@nrtc-isc>

	conf/doc/*.rf: Numerous documentation fixes suggested by Jerry
	    Sweet.
	conf/doc/ADMIN.rf: New document: Administrator's Guide


Fri Jun 21 13:09:29 1985  /mtr <mrose@nrtc-isc>

	uip/addrsbr.c: liked the wild-carding, so even for #ifndef BERK you
	    get it.  Of course in this case, you can wildcard on both the
	    mbox and the host.  It turns out that this is really useful for
	    people who have many mailboxes and get a lot of munged mail.


Thu Jun 20 19:55:23 1985  /mtr <mrose@nrtc-isc>

     -- Performance Enhancements from the 4.3BSD folks (by Van Jacobson) --
	config/mh.h: define vfork for systems without it
	sbr/{refile,showfile}.c,uip/{replsbr,send,whatnowsbr}.c:  replace
	    fork() with vfork()
	config/mh.h: move Van's getfld.h definitions into here
	sbr/m_getfld.c: major performance tuning!  (use -DRPATHS to get
	    Return-Path: info from UNIX from: line)
	uip/{inc,msh}.c: m_unknown parameter added
	uip/trmsbr.c: support for TIOCGWINSZ in 4.3BSD(!!)
	uip/scan.c: -[no]reverse under #ifdef BERK (I really HATE this)
	    also, update context prior to scan, again under #ifdef BERK
	uip/scansbr.c: performance enhancements plus inline copy of message
	    body to output file for inc
	uip/mhlsbr.c: under #ifdef BERK pipe output to /usr/ucb/more if
	    stdoutput is a terminal.
	uip/post.c: #ifdef DUMB a bit dumber for Berkeley addrsbr (actually
	    these changes were made earlier for other reasons)
	uip/addrsbr.c: use prescan-like routine in SendMail under #ifdef
	    BERK, also enable wild-carding.  The former probably breaks
	    the stuff in ap, et. al.


Sun Jun 16 10:21:33 1985  /mtr <mrose@nrtc-isc>

	uip/{ap,dp,{repl,scan}sbr}.c: the old echo controversy raises it's
	    ugly head: suppose we have a line in a replcomps file which is
	    entirely in a %<...%> conditional and the conditional is false.
	    In that case, we still get a blank line.  This is very BAD if it
	    occurs in the headers.  Two solutions possible:
		1. If a call to FSprintf() returns a empty string, don't
		   put out a \n.
		2. In new_fs, put the \n's in and just return one big
		   string instead of an array of strings.
	    Option [2] was implemented initially because it lets conditionals
	    span multiple lines in the file.  In order to keep the format files
	    from looking too complicated, EOL was ignored in format files,
	    \n's should be embedded where appropriate.  A single format
	    string argument is considered to have an implicit \n.  This is
	    inconsistent, but it keeps the format files readable.  Option [2]
	    was discarded though since it required a \n at the end of each
	    line in the format file if there was no conditional stuff
	    there.  So, option [1] got implemented even though it doesn't
	    allow conditionals to be multi-line (which is okay, since you
	    can use \n in a line).


Sun Jun  9 16:37:40 1985  /mtr <mrose@nrtc-isc>

	uip/dropsbr.c, uip/sbboards.c: .cnt mechanism broken,
	    introduce new routine mbx_openX() in dropsbr.c and use that
	    instead of mbx_open when opening an .cnt file



Sun Jun  9 14:44:36 1985  /mtr <mrose@nrtc-isc>

	conf/makefiles/uip,uip/show.c: make show/next/prev one program
	uip/{show,next,prev}hdr.c: remove as a result of above
	conf/doc/{next,prev}.rf: update


Thu Jun  6 23:03:09 1985  /mtr <mrose@nrtc-isc>

	uip/{format,mhl}sbr.c: add some definitions for sprintb()
	bboards/bboards.h: define BBITS there instead of uip/bbc.c


Tue Jun  4 20:00:32 1985  /mtr <mrose@nrtc-isc>

			  -- Suggested by Dave Yost --
	conf/doc/tmac.h: use ".nf" after ".SH" inside various macros
	    (since ".SH" tends to set ".fi")
	sbr/m_{gmsg,sync}.c: some .mh_sequences optimizations for hm
	conf/config/config.c: support #ifdef NOMHSEQ


Tue Jun  4 13:30:27 1985  /mtr <mrose@nrtc-isc>

	uip/trmsbr.c: optimize a bit, the ontty test in clear_screen ()
	    isn't needed


Mon Jun  3 22:15:18 1985  /mtr <mrose@nrtc-isc>

	conf/doc/packd.rf, uip/packd.c: de-implement, essentially useless
	    under 4.2BSD


Mon Jun  3 14:54:30 1985  /mtr <mrose@nrtc-isc>

	othersupport/usenix: new directory containing the MH paper
	    presented at the 1985 Summer Usenix Conference


Mon Jun  3 11:28:46 1985  /mtr <mrose@nrtc-isc>

	TODO: remove since there's nothing worth left doing in it!


Sun Jun  2 18:36:19 1985  /mtr <mrose@nrtc-isc>

	conf/doc/*.rf: more clean-up
	uip/ali.c: change help messages a bit, and add -[no]normalize
	    switches
	conf/doc/mh-tailor.rf: new file
	config/mh.h,uip/{post,repl}.c: move definition of OUTPUTLINELEN
	    to mh.h so sbr/help.c can use it
	sbr/help.c: smarter output routine for options


Sun Jun  2 14:07:46 1985  /mtr <mrose@nrtc-isc>

	uip/whatnowsbr.c: don't say the draft's left around if it isn't
	    (suggested by Mike O'Brien)
	uip/whatnowsbr.c: return value from non-initial calls to m_edit()
	    not handled right (pointed out by Richard Johnson)
	sbr/m_getfld.c: be a bit smarter when recognizing that idiotic
	    "From " line from silly UNIX-style maildrops


Sat Jun  1 14:45:25 1985  /mtr <mrose@nrtc-isc>

	uip/{pick,picksbr,msh}.c: bite the bullet and have pick allow
	    complex booleans
	conf/doc/{mh-chart,pick}.rf: ditto

Sat Jun  1 11:18:06 1985  /mtr <mrose@nrtc-isc>

	mf/mf.c, uip/*sbr.c: more register declarations


Sat Jun  1 01:35:06 1985  /mtr <mrose@nrtc-isc>

	conf/doc/mhook.rf, uip/rcv*.c: account for MMDF-II change regarding
	    rcvmail hooks and maildelivery(5)


Fri May 31 23:33:59 1985  /mtr <mrose@nrtc-isc>

	conf/doc/*.rf: more doc fixes; document WHATNOW, OVERHEAD
	sbr/m_getdefs.c: more OVERHEAD code to optimize MH subforks


Fri May 31 22:19:15 1985  /mtr <mrose@nrtc-isc>

	uip/replsbr.c: bite the bullet and have repl use the format string
	    routines as well


Wed May 29 16:38:49 1985  /mtr <mrose@nrtc-isc>

	Makefile, conf/makefiles/*: support depend.  N.B.: This is for
	    DEVELOPMENT WORK ONLY. "make depend" runs unifdef because some
	    #include files are configuration specific.  Sadly, unifdef
	    isn't on all systems (it originated at Rand and migrated to
	    4.2BSD).  As a result, unless you have unifdef, don't run make
	    depend.  The dependencies listed in the conf/makefiles/* files
	    are "generic".


Wed May 29 14:53:33 1985  /mtr <mrose@nrtc-isc>

	othersupport/mtrenv/*: update


Tue May 28 19:45:36 1985  /mtr <mrose@nrtc-isc>

	config/scansbr.h,uip/{inc,msh,rcvtty,scan,scansbr}.c: bite the
	    bullet and have scansbr use a format string
	uip/{inc,scan}.c: no more -[no]numdate, -[no]size, -[no]time
	    and use -format string and -width columns instead


Mon May 27 21:45:23 1985  /mtr <mrose@nrtc-isc>

	uip/{ap,addrsbr}.c: upgrade ap to use formatsbr; required a new
	    param to getm(), so modules which call getm() got changed
	    as well
	othersupport/rcvtrip/rcvtrip: upgrade


Mon May 27 17:05:18 1985  /mtr <mrose@nrtc-isc>

	tws/dp.c: move to uip/
	uip/formatsbr.c: new module
	config/scansbr.h: define stuff for formatsbr


Mon May 27 11:33:32 1985  /mtr <mrose@nrtc-isc>

	config/mh.h, sbr/{closefds,m_getdefs}.c: #ifdef OVERHEAD experimental
	    code


Thu May 23 22:06:25 1985  /mtr <mrose@nrtc-isc>

	conf/makfiles/uip,uip/*.c: next step in the lint process
	config/mh.h, sbr/llib-lmh, uip/rmf.c: move remdir() to sbr/makedir.c


Thu May 23 09:06:32 1985  /mtr <mrose@nrtc-isc>

	conf/makefiles/{mts,uip}, uip/msgchk.c: moved from mts/

Wed May 22 19:49:43 1985  /mtr <mrose@nrtc-isc>

	Makefile, config/mh.h, conf/makefiles/*, bboards/getbbent.c,
	    */llib-l*, tws/{dtime,dtimep}.c: start the linting process,
	    lint everything except the uip/ directory
	sendmts/smail.c, uip/trmsbr.c: move discard to sbr/ library
	mf/mf.c: lint fixes
	sbr/{getans,m_{gmsg,setcur},refile,showfile}.c: lint fixes
	sbr/{putenv,sprintb}.c: #include mh.h
	sbr/*: VOID -> (void)
	bbsupport/bb{aka,exp,tar}.c: lint fixes


Wed May 22 15:29:25 1985  /mtr <mrose@nrtc-isc>

	popsupport/popser.c: if maildrop doesn't exist, note it and
	    continue
	conf/doc/bbc.rf, uip/bbc.c: add -user switch to help POP debugging
	bboards/getbbent.c: have getbberr() return useful info for
	    setbbfile (), setbbinfo (), and setbbent ()
	popsupport/{popaka,popser,popwrd}.c, uip/{bbc,spop}.c: take advantage
	    of getbberr()


Wed May 22 10:16:17 1985  /mtr <mrose@nrtc-isc>

	sbr/m_getfld.c: Eom() was botching gathering the UNIX from line
	    (fix from Matt Crawford <oddjob!matt@lbl-csam>)
	sendmts/smail.c: sm_end(NOTOK) was clobbering sm_reply


Tue May 21 22:33:58 1985  /mtr <mrose@nrtc-isc>

	uip/scansbr.c: when copying characters to the scan listing,
	    know about underlining conventions


Tue May 21 21:29:18 1985  /mtr <mrose@nrtc-isc>

	Begin work on research-version of MH (#5.380[NRTC]).  This version
	won't be sent out to the MH-Workers list, so I can do some power
	coding for a change.

			      -- WHATNOW changes --

	uip/{refile,send,show,whom}.c: #ifdef WHATNOW experimental code
	sbr/m_whatnow.c, uip/{whatnow,whatnowsbr}.c: default whatnow is
	    a built-in for comp, et. al.
	sbr/{m_{edit,send},showhom}.c: removed since whatnowsbr has 'em
	sbr/showfile.c: likewise, showhead function removed


				-- POP changes --

	conf/doc/inc.rf, uip/inc.c: pop now lives in inc
	uip/spop.c: link to sbboards.c, the POP mailer for SendMail
	popsupport/: new directory from the ashes of
	    othersupport/popsupport/, containing many new programs, files,
	    and documentation
	bboards/{bboards.h,getbbent.c}: new functions to support
        popsupport/mmdfII/: the POP channel for MMDF-II, linked to the
	    BBoards channel, as appropriate
	conf/doc/msgchk.rf, mts/msgchk.c: support POP


				 -- Bug Fixes --

	uip/post.c: for path code, fixed a couple of dumb typos.
	uip/replsbr.c: if -noformat, don't worry about no addresses
	uip/bbc.c: another couple of nasty bugs fixed
	sendmts/smail.c: don't send HELO if talking to SendMail on the
	    local host
	conf/doc/{MH,repl,forw,comp,dist,show,mh,mh-chart,whom}.rf: bug
	    fixes

			-- Configuration and Clean-up --

	conf/mhconfig.c: support new options: pop, chown, remove
	conf/makefiles/*: more chmods where appropriate
	config/config.c, sbr/help.c: include compile-time options in help
	    listing.
	sbr/m_backup.c,uip/forw.c: remove makename in favor of mktemp
	sbr/pr_array.c: removed, since no one was using it
	config/mh.h, sbr/llib-lmh: update for all this
	othersupport/patch/: the latest version


Thu May  2 21:14:56 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	MH #5.360[UCI] (uci-750a) released to MH-Workers


Thu May  2 21:13:32 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/makefiles/uip: make whatnow chmod +t'd


Thu May  2 21:13:32 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/post.c: a few more back-offs with #ifdef DUMB...


Thu May  2 21:13:03 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/sbboards.c: fdopen() called with wrong arg!


Wed Apr 24 22:45:39 1985  /mtr (agent: Marshall Rose) <uci@nrtc>

	conf/doc/MH.rf: just a few more fixes...


Wed Apr 24 22:44:30 1985  /mtr (agent: Marshall Rose) <uci@nrtc>

	sbr/m_whatnow.c, uip/{dist,forw,repl}.c: fix obscure "@" bug.


Sat Apr 20 14:46:10 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sbr/m_send.c, uip/whatnow.c: on "push", let send do push() instead
	    of whatnow


Fri Apr 19 19:44:25 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/send.c: on annotations, if push'd avoid getting upset
	    if message to annotate isn't there
	uip/send.c: fix "typo" for r1bindex ()
	uip/send.c: put ~/.signature support back in under #ifdef UCI
	uip/send.c: use mktemp() instead of bogus makename!
	uip/send.c: fix screwy interaction between msh, dist, whatnow,
	    and send (oh no!)


Fri Apr 19 19:23:39 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/whatnow.c: if edit fails, it's time to go away
	sbr/m_edit.c: minor cosmetic change


Fri Apr 19 19:13:44 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/post.c: more #ifdef DUMB madness, for local addresses,
	    if no host portion given, then don't give it to sm_wadr()
	uip/post.c: back #ifdef DUMB off a bit in From: for MMDFMTS


Fri Apr 19 18:32:13 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/MH.rf, sbr/m_send.c: de-implement "push" in whatnow
	    having send look for profile-entry of "push" rather than "send"
	    to confusing to the user "community"


Fri Apr 19 18:28:44 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	bboards/bboards.h, uip/bbc.c: support BB_INVIS for "hidden"
	    BBoards in -topic
	uip/bbc.c: catch a long name that got past us
	uip/bbc.c: fix -topics logic when BBoards given


Fri Apr 19 18:27:16 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/{config/mts.c,tailor/READ-ME}, mts/mts.h, uip/inc.c:
	    support the new MTS variable "pophost"


Sat Apr  6 16:17:23 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	MH #5.348[UCI] (uci-750a) released to MH-Workers


Wed Apr  3 23:53:12 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	ohtersupport/mtrenv/bin/whatnow: new file


Wed Apr  3 23:52:13 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sendmts/smail.c: comment out an extra RSET for UCI's losing
	    MMDF-I SMTP server


Tue Mar 26 18:32:49 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/{config/mts.c,tailor/READ-ME}, config/aliasbr.h, mts/mts.h, 
	    uip/aliasbr.c: make "*" logic mts-tailorable (ugh), you get
	    to choose highest non-user uid and non-user shell


Tue Mar 26 18:02:52 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/repl.rf: document bug in replcomps


Mon Mar 25 18:06:48 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	mf/mf.c: avoid (incorrectly) recognizing " at " for "@" by using a
	    heuristic suggested by JSol.


Sun Mar 24 18:32:47 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sbr/m_draft.c,
	    uip/{comp,dist,forw,refile,repl,send,show,whatnow,whom}.c: have
	    -nodraftfolder override "Draft-Folder:" profile entry


Sat Mar 23 12:48:30 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

		    -- Support the WhatNow shell --
	conf/makefiles/{sbr,uip}: updates for all of this
	uip/{comp,dist,forw,repl}.c: remove What now? code,
	    add -whatnow program, -nowhatnow
	sbr/m_whatnow.c: new module
	conf/config/config.c,config/mh.h,sbr/m_getdefs.c: new variable
	    whatnowproc
	sbr/llib-lmh: update
	uip/whatnow.c: new program, the first WhatNow shell
	conf/doc/{mh-chart,whom}.rf, uip/whom.c: upgrade to take draftfolder
	    arguments
	sbr/putenv.c: update for above
	sbr/m_send.c: undo previous edits, m_whatnow() takes care of it
	uip/distsbr.c: new module for dist-style support
	uip/{send,whom}.c: call distout() in distsbr.c
	conf/doc/whatnow.rf: new file
	conf/doc/{MH,comp,dist,forw,mh,mh-{chart,profile},repl}.rf: updates
	conf/doc/template: fix


Thu Mar 21 08:45:11 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sendmts/smail.c: fix logic error in sm_end(); MMDF-I has this
	    problem, MMDF-II might!


Tue Mar 19 18:16:33 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/msgchk.rf: new file
	conf/{doc/{mh,mh-chart,MH}.rf,makefiles/doc}: update for msgchk


Tue Mar 19 17:31:14 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/{ap,mh-chart}.rf, uip/ap.c: accept -help switch


Tue Mar 19 14:17:30 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	othersupport/mtrenv/bin/{distf,mpick,packit}: updates


Sat Mar 16 12:49:48 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	Makefile: simply Makefile using sh, also make DESTDIR work
	conf/makefiles/othersupport: simplify Makefile


Sat Mar 16 12:23:37 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/{mark,msh}.c: don't set previous-sequence to make debugging
	    easier


Sat Mar 16 01:38:06 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/config/mts.c: add a few calls to mts_init ("mts") at
	    strategic places


Sat Mar 16 00:28:01 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/{inc,msh,rcvtty,scan,scansbr}.c: clean up handling of
	    inc -silent
	sbr/{llib-lmh,m_send.c}, uip/{annosbr,comp,dist,forw,repl}.c: move
	    annotations into send
	conf/makefiles/uip, uip/{send,post}.c: ditto
	conf/doc/{dist,forw,repl}.rf: ditto
	uip/anno.c: forgot to check (mp -> msgstats[msgnum] & SELECTED)


Fri Mar 15 23:21:29 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sbr/printsw.c: compress output of printed switches
	sbr/m_getdefs.c: let $MHCONTEXT override context variable
	sbr/m_{getdefs,gmsg,sync}.c, conf/doc/mh-profile.rf: let the profile
	    entry "mh-sequences" override .mh_sequences
	sbr/m_seq.c: optimization


Fri Mar 15 23:05:43 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	bbsupport/bbexp.c: fix string botch for command to popen.
	    also allow extra arguments to indicate aging period.


Fri Mar 15 11:45:00 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	othersupport/emh/READ-ME: new file


Thu Mar 14 22:41:37 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	   -- Fixes suggested by John Dilley <jad@Purdue> --
	conf/{config/mts.c,tailor/READ-ME}: add new mtstailor variables
	    localname, systemname, and uucpchan
	mts/mts.h, conf/{mh-gen.8,config/{mts.c,mtstailor},tailor/READ-ME}:
	    add new mtstailor variable lockstyle to control style of locking
	sbr/m_getfld.c: catch the UNIX "from user" line
	uip/scansbr.c: make use of the UNIX "from user" line
	uip/addrsbr.c: more #ifdef DUMB support
	uip/inc.c: minor bug in inc w.r.t. closing locked file
	uip/post.c: more #ifdef DUMB support
	uip/replsbr.c: support Return-Path: for defaulting host names
	    as a last resort


Wed Mar 13 22:24:07 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/send.c: fix "use xxx logic"
	uip/msh.c: a NULL vs. "" typo


Wed Mar 13 22:01:37 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

       -- Fixes suggested by Phyllis Kantar <phyl@rand-unix> --
	uip/{comp,dist,forw,repl}.c: fix quit -delete logic
	conf/doc/{comp,mh-chart}.rf: document "-file file" switch
	uip/send.c: "send -help" should done (1) for comp, et. al.
	uip/send.c: typo "tempoary"
	conf/doc/{send,whom}.rf: Profile Components forgot Draft-Folder
	uip/ali.c: always load system aliases
	conf/doc/{MH,comp,dist,forw,mhook,repl,send,show,mh-alias,mh-mail,
	    mh-profile,mhl,post}.rf: typo fixes
	conf/doc/send.rf, uip/send.c: -forward now the default, also
	    don't gripe about "show -draft file"


Tue Mar 12 18:07:44 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	othersupport/pop/pop.txt: a few minor corrections to typos.


Sat Mar  9 15:54:40 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/dropsbr.c: fix bug when fixing stomped maildrop.


Sat Mar  9 15:36:13 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	bboards/mmdf/mmdf.{1,2}/bboards/bb_wtmail.c, uip/sbboards.c:
	    fix minor bug requiring nearly major re-write!!!


Wed Mar  6 18:59:22 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	       -- Fixes from Robert Elz <kre@ucb-vax> --
	sbr/makedir.c: use mkdir() under #ifdef BSD42
	uip/rmf.c: use rmdir() under #ifdef BSD42


Wed Mar  6 18:19:46 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	TODO, config/addrsbr.h, sendmts/smail.c, mf/mf.{c,h},
	    uip/{addrsbr,ap,post,rcvdist,sbboards}.c: handle 822-style
	    routing


Wed Mar  6 18:08:11 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/{dropsbr,packf,post,slocal}.c: fix to maildrop mapping bug
	    with MHMTS and local delivery in post, and SENDMTS and local
	    delivery in slocal

Sat Mar 1 20:21:17 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	MH #5.321[UCI] (uci-750a) released to MH-Workers


Fri Mar  1 19:59:32 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/trmsbr.c: forgot to make a termcap buffer TXTSIZ'd instead
	    of BUFSIZ'd.


Fri Mar  1 19:56:43 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/config/mts.c: for the DUAL, you can't link to a file that you
	    can't read, unbelievable, eh?, so change the creat (foo, 0000)
	    to creat (foo, 0400).  Also, fix up some botched args to a
	    sprintf() call.


Fri Mar  1 19:48:53 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/config/config.c: if MORE is defined, used that instead of
	    /usr/ucb/more.  The #ifdef ALTOS dependency is removed.
	   ALTOS users should use options MORE='"/usr/bin/more"',
	   just like users of the Dual.
	conf/examples/READ-ME: document same


Wed Feb 20 20:48:12 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	sbr/adios.c: save errno prior to doing fancy perror stuff


Wed Feb 20 20:40:14 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	uip/inc.c: fix suggested by John Dilley at Purdue, inc now ignore
	    signals if it's going to zero the maildrop.


Mon Feb 18 12:53:50 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	conf/doc/send.rf, uip/send.c: de-implement ~/.signature support


Tue Feb 12 19:33:14 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	uip/mhlsbr.c: clear_screen() logic between messages botched


Sun Jan 27 18:42:49 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	conf/makefiles/mts: dependency screw-up on mts.o


Sun Jan 27 17:41:03 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	sendmts/smail.c, uip/post.c: with -DSMTP, keep one SMTP connection
	    open, instead of starting a new one for each transaction
	othersupport/pop/{Makefile,{popd,popser,inc,popsbr}.c}: support
	    "rpop" under #ifdef RPOP
	othersupport/pop/client.c: remove
	conf/{config/mts.c,tailor/READ-ME,makefiles/sendmts}, mts/mts.h,
	    sendmts/{smail,client}.c: support new server search list
	    facility used by both -DSMTP and -DPOP


Sat Jan 26 09:12:27 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	MH #5.310[UCI] (uci-750a) released to MH-Workers


Sat Jan 26 09:38:08 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	tws/dtime.c: #define dysize(), since could be a macro in ctime.c
	    (thanks, Fred)


Sat Jan 26 09:08:43 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	uip/{inc,post}.c: changes for #ifdef TMA; this stuff is still
	    under non-disclosure (not the MH code, just the -ltma library
	    which doesn't come with MH)


Sat Jan 26 09:05:52 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

		  -- Fixes for MHMTS configuration --
	conf/makefiles/uip: shouldn't build rcvdist on an MHMTS system
	conf/doc/mhook.rf: ditto
	conf/config/mts.c, mhmts/netmail.c, mts/mts.h, uip/rmail.c:
	    some typos in the declarations of global MTS variables that
	    are MHMTS specific
	mf/mmuu.c: addr_convert() conflicted with routine of same name
	    in uumm.c
	uip/news.c: looking in the wrong place for <sys/dir.h> on 4.2BSD
	    systems


Tue Jan  8 13:54:13 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	MH.5 is finished, finally.








		      MHCHANGES from mh.4 to mh.5


Thu May  2 21:14:56 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	MH #5.360[UCI] (uci-750a) released to MH-Workers


Thu May  2 21:13:32 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/makefiles/uip: make whatnow chmod +t'd


Thu May  2 21:13:32 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/post.c: a few more back-offs with #ifdef DUMB...


Thu May  2 21:13:03 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/sbboards.c: fdopen() called with wrong arg!


Wed Apr 24 22:45:39 1985  /mtr (agent: Marshall Rose) <uci@nrtc>

	conf/doc/MH.rf: just a few more fixes...


Wed Apr 24 22:44:30 1985  /mtr (agent: Marshall Rose) <uci@nrtc>

	sbr/m_whatnow.c, uip/{dist,forw,repl}.c: fix obscure "@" bug.


Sat Apr 20 14:46:10 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sbr/m_send.c, uip/whatnow.c: on "push", let send do push() instead
	    of whatnow


Fri Apr 19 19:44:25 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/send.c: on annotations, if push'd avoid getting upset
	    if message to annotate isn't there
	uip/send.c: fix "typo" for r1bindex ()
	uip/send.c: put ~/.signature support back in under #ifdef UCI
	uip/send.c: use mktemp() instead of bogus makename!
	uip/send.c: fix screwy interaction between msh, dist, whatnow,
	    and send (oh no!)


Fri Apr 19 19:23:39 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/whatnow.c: if edit fails, it's time to go away
	sbr/m_edit.c: minor cosmetic change


Fri Apr 19 19:13:44 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/post.c: more #ifdef DUMB madness, for local addresses,
	    if no host portion given, then don't give it to sm_wadr()
	uip/post.c: back #ifdef DUMB off a bit in From: for MMDFMTS


Fri Apr 19 18:32:13 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/MH.rf, sbr/m_send.c: de-implement "push" in whatnow
	    having send look for profile-entry of "push" rather than "send"
	    to confusing to the user "community"


Fri Apr 19 18:28:44 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	bboards/bboards.h, uip/bbc.c: support BB_INVIS for "hidden"
	    BBoards in -topic
	uip/bbc.c: catch a long name that got past us
	uip/bbc.c: fix -topics logic when BBoards given


Fri Apr 19 18:27:16 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/{config/mts.c,tailor/READ-ME}, mts/mts.h, uip/inc.c:
	    support the new MTS variable "pophost"


Sat Apr  6 16:17:23 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	MH #5.348[UCI] (uci-750a) released to MH-Workers


Wed Apr  3 23:53:12 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	ohtersupport/mtrenv/bin/whatnow: new file


Wed Apr  3 23:52:13 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sendmts/smail.c: comment out an extra RSET for UCI's losing
	    MMDF-I SMTP server


Tue Mar 26 18:32:49 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/{config/mts.c,tailor/READ-ME}, config/aliasbr.h, mts/mts.h, 
	    uip/aliasbr.c: make "*" logic mts-tailorable (ugh), you get
	    to choose highest non-user uid and non-user shell


Tue Mar 26 18:02:52 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/repl.rf: document bug in replcomps


Mon Mar 25 18:06:48 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	mf/mf.c: avoid (incorrectly) recognizing " at " for "@" by using a
	    heuristic suggested by JSol.


Sun Mar 24 18:32:47 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sbr/m_draft.c,
	    uip/{comp,dist,forw,refile,repl,send,show,whatnow,whom}.c: have
	    -nodraftfolder override "Draft-Folder:" profile entry


Sat Mar 23 12:48:30 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

		    -- Support the WhatNow shell --
	conf/makefiles/{sbr,uip}: updates for all of this
	uip/{comp,dist,forw,repl}.c: remove What now? code,
	    add -whatnow program, -nowhatnow
	sbr/m_whatnow.c: new module
	conf/config/config.c,config/mh.h,sbr/m_getdefs.c: new variable
	    whatnowproc
	sbr/llib-lmh: update
	uip/whatnow.c: new program, the first WhatNow shell
	conf/doc/{mh-chart,whom}.rf, uip/whom.c: upgrade to take draftfolder
	    arguments
	sbr/putenv.c: update for above
	sbr/m_send.c: undo previous edits, m_whatnow() takes care of it
	uip/distsbr.c: new module for dist-style support
	uip/{send,whom}.c: call distout() in distsbr.c
	conf/doc/whatnow.rf: new file
	conf/doc/{MH,comp,dist,forw,mh,mh-{chart,profile},repl}.rf: updates
	conf/doc/template: fix


Thu Mar 21 08:45:11 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sendmts/smail.c: fix logic error in sm_end(); MMDF-I has this
	    problem, MMDF-II might!


Tue Mar 19 18:16:33 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/msgchk.rf: new file
	conf/{doc/{mh,mh-chart,MH}.rf,makefiles/doc}: update for msgchk


Tue Mar 19 17:31:14 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/doc/{ap,mh-chart}.rf, uip/ap.c: accept -help switch


Tue Mar 19 14:17:30 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	othersupport/mtrenv/bin/{distf,mpick,packit}: updates


Sat Mar 16 12:49:48 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	Makefile: simply Makefile using sh, also make DESTDIR work
	conf/makefiles/othersupport: simplify Makefile


Sat Mar 16 12:23:37 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/{mark,msh}.c: don't set previous-sequence to make debugging
	    easier


Sat Mar 16 01:38:06 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/config/mts.c: add a few calls to mts_init ("mts") at
	    strategic places


Sat Mar 16 00:28:01 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/{inc,msh,rcvtty,scan,scansbr}.c: clean up handling of
	    inc -silent
	sbr/{llib-lmh,m_send.c}, uip/{annosbr,comp,dist,forw,repl}.c: move
	    annotations into send
	conf/makefiles/uip, uip/{send,post}.c: ditto
	conf/doc/{dist,forw,repl}.rf: ditto
	uip/anno.c: forgot to check (mp -> msgstats[msgnum] & SELECTED)


Fri Mar 15 23:21:29 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	sbr/printsw.c: compress output of printed switches
	sbr/m_getdefs.c: let $MHCONTEXT override context variable
	sbr/m_{getdefs,gmsg,sync}.c, conf/doc/mh-profile.rf: let the profile
	    entry "mh-sequences" override .mh_sequences
	sbr/m_seq.c: optimization


Fri Mar 15 23:05:43 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	bbsupport/bbexp.c: fix string botch for command to popen.
	    also allow extra arguments to indicate aging period.


Fri Mar 15 11:45:00 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	othersupport/emh/READ-ME: new file


Thu Mar 14 22:41:37 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	   -- Fixes suggested by John Dilley <jad@Purdue> --
	conf/{config/mts.c,tailor/READ-ME}: add new mtstailor variables
	    localname, systemname, and uucpchan
	mts/mts.h, conf/{mh-gen.8,config/{mts.c,mtstailor},tailor/READ-ME}:
	    add new mtstailor variable lockstyle to control style of locking
	sbr/m_getfld.c: catch the UNIX "from user" line
	uip/scansbr.c: make use of the UNIX "from user" line
	uip/addrsbr.c: more #ifdef DUMB support
	uip/inc.c: minor bug in inc w.r.t. closing locked file
	uip/post.c: more #ifdef DUMB support
	uip/replsbr.c: support Return-Path: for defaulting host names
	    as a last resort


Wed Mar 13 22:24:07 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/send.c: fix "use xxx logic"
	uip/msh.c: a NULL vs. "" typo


Wed Mar 13 22:01:37 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

       -- Fixes suggested by Phyllis Kantar <phyl@rand-unix> --
	uip/{comp,dist,forw,repl}.c: fix quit -delete logic
	conf/doc/{comp,mh-chart}.rf: document "-file file" switch
	uip/send.c: "send -help" should done (1) for comp, et. al.
	uip/send.c: typo "tempoary"
	conf/doc/{send,whom}.rf: Profile Components forgot Draft-Folder
	uip/ali.c: always load system aliases
	conf/doc/{MH,comp,dist,forw,mhook,repl,send,show,mh-alias,mh-mail,
	    mh-profile,mhl,post}.rf: typo fixes
	conf/doc/send.rf, uip/send.c: -forward now the default, also
	    don't gripe about "show -draft file"


Tue Mar 12 18:07:44 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	othersupport/pop/pop.txt: a few minor corrections to typos.


Sat Mar  9 15:54:40 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/dropsbr.c: fix bug when fixing stomped maildrop.


Sat Mar  9 15:36:13 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	bboards/mmdf/mmdf.{1,2}/bboards/bb_wtmail.c, uip/sbboards.c:
	    fix minor bug requiring nearly major re-write!!!


Wed Mar  6 18:59:22 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	       -- Fixes from Robert Elz <kre@ucb-vax> --
	sbr/makedir.c: use mkdir() under #ifdef BSD42
	uip/rmf.c: use rmdir() under #ifdef BSD42


Wed Mar  6 18:19:46 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	TODO, config/addrsbr.h, sendmts/smail.c, mf/mf.{c,h},
	    uip/{addrsbr,ap,post,rcvdist,sbboards}.c: handle 822-style
	    routing


Wed Mar  6 18:08:11 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/{dropsbr,packf,post,slocal}.c: fix to maildrop mapping bug
	    with MHMTS and local delivery in post, and SENDMTS and local
	    delivery in slocal


Sat Mar 1 20:21:17 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	MH #5.321[UCI] (uci-750a) released to MH-Workers


Fri Mar  1 19:59:32 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	uip/trmsbr.c: forgot to make a termcap buffer TXTSIZ'd instead
	    of BUFSIZ'd.


Fri Mar  1 19:56:43 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/config/mts.c: for the DUAL, you can't link to a file that you
	    can't read, unbelievable, eh?, so change the creat (foo, 0000)
	    to creat (foo, 0400).  Also, fix up some botched args to a
	    sprintf() call.


Fri Mar  1 19:48:53 1985  /mtr (agent: Marshall Rose) <mh@uci-icsa>

	conf/config/config.c: if MORE is defined, used that instead of
	    /usr/ucb/more.  The #ifdef ALTOS dependency is removed.
	   ALTOS users should use options MORE='"/usr/bin/more"',
	   just like users of the Dual.
	conf/examples/READ-ME: document same


Wed Feb 20 20:48:12 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	sbr/adios.c: save errno prior to doing fancy perror stuff


Wed Feb 20 20:40:14 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	uip/inc.c: fix suggested by John Dilley at Purdue, inc now ignore
	    signals if it's going to zero the maildrop.


Mon Feb 18 12:53:50 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	conf/doc/send.rf, uip/send.c: de-implement ~/.signature support


Tue Feb 12 19:33:14 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	uip/mhlsbr.c: clear_screen() logic between messages botched


Sun Jan 27 18:42:49 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	conf/makefiles/mts: dependency screw-up on mts.o


Sun Jan 27 17:41:03 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	sendmts/smail.c, uip/post.c: with -DSMTP, keep one SMTP connection
	    open, instead of starting a new one for each transaction
	othersupport/pop/{Makefile,{popd,popser,inc,popsbr}.c}: support
	    "rpop" under #ifdef RPOP
	othersupport/pop/client.c: remove
	conf/{config/mts.c,tailor/READ-ME,makefiles/sendmts}, mts/mts.h,
	    sendmts/{smail,client}.c: support new server search list
	    facility used by both -DSMTP and -DPOP


Sat Jan 26 09:12:27 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	MH #5.310[UCI] (uci-750a) released to MH-Workers


Sat Jan 26 09:38:08 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	tws/dtime.c: #define dysize(), since could be a macro in ctime.c
	    (thanks, Fred)


Sat Jan 26 09:08:43 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

	uip/{inc,post}.c: changes for #ifdef TMA; this stuff is still
	    under non-disclosure (not the MH code, just the -ltma library
	    which doesn't come with MH)


Sat Jan 26 09:05:52 1985  /mtr (agent: Marshall Rose) <mh@uci-750a>

		  -- Fixes for MHMTS configuration --
	conf/makefiles/uip: shouldn't build rcvdist on an MHMTS system
	conf/doc/mhook.rf: ditto
	conf/config/mts.c, mhmts/netmail.c, mts/mts.h, uip/rmail.c:
	    some typos in the declarations of global MTS variables that
	    are MHMTS specific
	mf/mmuu.c: addr_convert() conflicted with routine of same name
	    in uumm.c
	uip/news.c: looking in the wrong place for <sys/dir.h> on 4.2BSD
	    systems


Tue Jan  8 13:54:13 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	MH.5 is finished, finally.


Tue Jan  8 09:45:25 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_edit.c: from Mike O'Brien on 4.2BSD use symlinks if "@" is
	    across file systems
	uip/inc.c: slight botch in -[no]truncate

Tue Jan  8 09:12:42 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/{mh-gen,doc/MH}.rf: last change, fix public domain notice
	config/notice.h: remove
	uip/version.sh: don't include ../config/notice.h


Mon Jan  7 19:05:22 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/inc.c: add -[no]truncate
	conf/doc/*: change up documentation a bit


Fri Jan  4 16:28:49 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/addrsbr.c: SENDMTS was botching UUCP addrs


Wed Jan  2 13:20:42 1985  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/addrsbr.c: #ifdef DUMB inserted


Mon Dec 31 21:28:07 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/packf.c, conf/doc/packf.c, conf/{config/config.c,makefiles/uip},
	    change pack to packf
	config/mh.h: make MAXFOLDERS smaller for the ALTOS


Mon Dec 31 17:43:49 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	tws/{tws.h,dtime.c}: add dgmtime()


Sun Dec 30 19:52:27 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/config/{config,mts}.c, mmdf/hosts.c, uip/trmsbr.c,
	    bboards/getbbent.c, config/mh.h: minor cleanup.


Sun Dec 30 12:11:45 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: have non-recipient addresses honor aliases


Sun Dec 30 12:01:08 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/sortm.c: fix for holes in "msgs" from Mike O'Brien


Sun Dec 30 11:50:57 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: one more -noverbose fix


Sat Dec 29 16:56:59 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/makefiles/sbr, config/mh.h, sbr/llib-lmh, sbr/closefds.c,
	    uip/{msh,post,rcvtty,replsbr,send,slocal,whom}.c: implement
	    closefds ()


Sat Dec 29 12:17:50 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/{config/config.c,doc/{folder,mh-profile}.rf}, sbr/m_getdefs.c,
	    uip/folder.c: fix folder -fast -recurse


Sat Dec 29 10:45:08 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_sync.c: handle public and read-only sequences correctly
	uip/rmf.c: fix botch for handling read-only folders


Sat Dec 29 10:43:12 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: improved $mhfolder handling for -prompt.


Wed Dec 19 12:49:42 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getfld.c: advise() with inverted arguments


Tue Dec 18 16:48:17 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	bboards/*.c, conf/config/mts.c, mhmts/*.c, mmdf/*.c, sendmts/*.c,
	    tws/*.c: register madness


Tue Dec 18 16:00:48 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{bbc,msh}.c: for Farber, say name of BBoard not name of file


Tue Dec 18 16:00:07 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	bboards/getbbent.c, conf/config/mts.c, sbr/m_backup.c,
	    uip/dropsbr.c: for ALTOS "%.*s" doesn't work if * evals to 0,
	    so kludge around it


Tue Dec 18 15:59:34 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getfld.c, uip/scansbr.c: some speed improvements from Jim
	    Larus at UCB


Thu Dec 13 00:05:42 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getfld.c: big fields were having their headers zero'd


Wed Dec 12 11:51:52 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	tws/{tws.h,dtime.c}: use modified version of gtime() to add new
	    structure element to (struct tws *).  This makes time
	    comparisons insensitive to timezones, etc.

Tue Dec 11 22:35:58 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	     -- Fixes from Julian Onions at Nottingham --
	conf/makfiles/*: "ld -x -r" terminates with status 1 even if all
	    goes well, so tell make not to worry about it
	config/mh.h,conf/examples/READ-ME: talk about void=int
	uip/{msh,post,rcv{dist,pack,tty},slocal}.c: include <sys/ioctl.h> if
	    not V7


Tue Dec 11 17:05:36 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/trmsbr.c: minor fix in discard() for #ifdef ALTOS


Mon Dec 10 23:38:05 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	config/scansbr.h, uip/{inc,scansbr,send,post}.c: add support for
	    TTI's prototype TMA under #ifdef TMA
	uip/tmasbr.c: new module for support


Sat Dec  8 18:16:41 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	config/mh.h, tws/tws.h, conf/config/mts.c: remove the void
	    definitions
	conf/Makefile, config/makefiles/*: remove -ns from LDFLAGS
	conf/makefiles/uip: don't use the -g option for ls for
	    s{bboards,local}
	conf/makefiles/*: use -l to ls not -ls


Sat Dec  8 18:16:20 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/rcvtty.c: minor-cleanup


Fri Dec  7 00:25:24 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{inc,show}.c: implement "unseen" for TGC.  This feature is
	    currently undocumented pending field-testing.


Wed Dec  5 22:58:11 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/sbboards.c: on distribution, if a particular address loses,
	    keep on going and report the error later on.
	bboards/mmdf/mmdf.{1,2}/bboards/bb_wtmail.c: in addition to above
	    fix to sbboards, post failure notices to the local-XXX-request
	    address.


Wed Dec  5 14:28:18 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	mts/msgchk.c, Makefile, conf/makefiles/mts: honor MF conventions
	    in msgchk, required MH sbr library
	uip/inc.c: better check of umincproc
	uip/{dist,forw,repl}.c: typo prevented annotation with the pyramid
	    cc
	conf/makefiles/{bbsupport,uip}: give path to chown
	uip/dropsbr.c: no diagnostic if map is empty
	conf/config/mts.c, bboards/getbbent.c: more ALTOS stuff for v7 cc
	sbr/m_getfld.c, uip/mhlsbr.c: botched pointer to function notation,
	    visible on v7 cc
	bbsupport/bbexp.c: forgot to foil m_getdefs()
	sbr/m_{setcur,seq}.c: handle "cur" correctly
	sbr/m_getfld.c: in msh$mhl with a message with no body, big loss
	uip/post.c: don't ask
	sbr/m_getfld.c, conf/makefiles/sbr: use the mts stuff to
	    initialize the delimiter.  The programs that need this will
	    call mts_init() themselvess prior to calling m_getfld()


Fri Nov 30 08:47:52 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/news.c: forgot to include mh.h; no one must be using it, love
	    to trash it from the distribution.


		       -- Enter BETA Testing --


Thu Nov 29 01:55:12 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/pick.c: don't output that "0" on error exits if stdout is a
	    tty... (yep, pick acts differently for ttys, just like ls)


Wed Nov 28 22:59:34 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: add -draft argument to msh$refile; clean-up -draft
	    argument in msh$show
	sbr/m_draft.c: call path() on value of Draft-Folder: so relative
	    folders work (!!)
	uip/repl.c: expand fcc: @folder arguments
	

Wed Nov 28 20:42:21 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/makefiles/*: for installations, use mv -f to save backup


Wed Nov 28 20:37:16 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/comp.c: restore old context-sensitive behavior


Wed Nov 28 19:57:44 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/rcv{pack,tty}.c: move inclusion of <sys/types.h> and
	    <setjmp.h> to the not MMDFMTS part, since "util.h" includes
	    'em


Wed Nov 28 11:28:56 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/mhlsbr.c: ignores wasn't being handled properly (logic bug)


Wed Nov 28 08:24:04 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/refile.c: if +folder arg is forgotten, don't print usage
	    string.  Also add -draft switch.


Wed Nov 28 00:15:25 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/trmsbr.c: always read termcap and do what we can.  When called
	    from in a non-interactive environment, do the right thing at
	    the right time...
	uip/msh.c: call sc_width() at start-up to read good values from
	    trmsbr


Tue Nov 27 21:02:41 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/send.c: re-implement the -[no]unique switches for JLR.


Tue Nov 27 20:44:45 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

		   -- More Changes for the ALTOS --
	conf/makefiles/{mts,tws}: @(LDOPTIONS) was being left out of
	    LDFLAGS
	config/aliasbr.h,uip/{ali,aliasbr}.c: prefix members of the aka
	    structure with ak_, prefix members of the adr structure with ad_
	tws/tws.h: type "void" undefined
	uip/rcv{dist,pack,tty}.c: include <sys/ioctl.h> only if not on
	    ALTOS
	uip/ttyw.c: put everything under #ifdef TTYD


Tue Nov 27 19:22:51 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getfld.c: add m_eomsbr() for msh$mhl for bursting (sigh)


Tue Nov 27 19:08:46 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/addrsbr.c: in addition to griping about bogus addresses in the
	    "alternate-mailboxes:" entry, add a line saying to fix it (and
	    where)
	uip/scansbr.c: very minor cosmetic change in cpyfrm() for group
	    handling


Tue Nov 27 16:54:51 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_draft.c: add new result parameter which tells if a
	    draft-folder is being used
	uip/{comp,dist,forw,repl,show,send,whom}.c: modified appropriately
	    for extra parameter; this info is needed to decide which prompt and
	    options to offer the user if the draft chosen exists


Tue Nov 27 14:19:18 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: ignore Fcc:s when disting


Mon Nov 26 20:34:18 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/refile.c: new module; implements the "refile" option at "What
	    now?" level
	uip/{comp,dist,forw,repl}.c: new switch -noedit, says to skip the
	    initial edit and proceed directly to "What now?" level.
	    Also make use of the new "refile" option at "What now?" level
	uip/comp.c: support for JLR's comp from a folder/msg notion


Mon Nov 26 12:26:28 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/mhlsbr.c: add -[no]bell


Mon Nov 26 10:20:07 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/send.c: add -[no]forward


Sun Nov 25 23:36:59 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{mhl,trm}sbr.c: move discard() from mhlsbr to trmsbr


Sun Nov 25 19:30:46 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	bbsupport/bboards.{dai,week}ly: if the bboards login shell is csh,
	    can't use /bin/sh format...


Sun Nov 25 13:28:47 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{{mhl,trm}sbr,msh}.c: use and support SOprintf() for output
	    to terminal
	uip/mhlsbr.c: add support for built-in mhl in msh, mhlsbr()
	uip/msh.c: use new support for built-in mhl
	sbr/m_getfld.c: some mis-logic in Eom(); if style is UNKNOWN,
	    ALWAYS figure out what it is prior to going on


Sat Nov 24 22:29:09 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/mhlsbr.c: into the fold


Sat Nov 24 19:09:14 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/showfile.c: if lproc is "mhl", use mhlproc for consistency
	    (Actually, user should use "lproc: show", "showproc: mhl".)

Sat Nov 24 09:59:31 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

		  -- Fixes from John Romine at TGC --
	conf/mh-gen.8: include "dm.h" in list of include files for MMDF2
	conf/mh-gen.8: typo "ggenerate"
	conf/examples/READ-ME: BSD41a => BSD41A
	conf/mhconfig.c: V7 compiler tosses its cookies on reasonably
	    formed structure members.  Fix
	conf/config/config.c: remove comment about "pick -show"
	conf/{config/config.c,doc/mh-profile.rf}, config/mh.h sbr/m_getdefs.c:
	    remove scanproc, since that's used only by "pick -scan" which does
	    not exist
	conf/mhdoc: make into a Bourne shell script.


Fri Nov 23 21:08:04 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

		   -- More Changes for the ALTOS --
	config/altos.h: didn't work, idiotic V7 compiler (cpp) didn't do
	    "the right thing", so get rid of it and change the variable
	    names in-line
	conf/config/mts.c: make isdlm{1,2} into macros instead of routines
	    in mf/mf.c; also move getusr() there.
	conf/config/mts.c: make getfullname () standard and add new
	    mtstailor option, mailid, to do the BRL/NRTC stuff with
	    pw_gecos


Fri Nov 23 19:26:35 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

       uip/{bbc,post,prompter,rcvdist,rmail,{repl,scan}sbr,s{bboards,local}}.c:
	    minor clean-up


Wed Nov 21 13:35:33 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	config/dropsbr.h: new include file
	uip/dropsbr.c: add support for maildrop mapping
	uip/dropsbr.c: add new parameter to mbx_open() for default mode on
	    creation
	uip/{msh,pack,post,rcvpack,s{bboards,local}}.c: modify to use new
	    support for maildrop mapping


Tue Nov 20 16:56:14 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	bboards/{bboards.h,getbbent.c}: change bboard structure to make
	    life easier for bbc.  Also add new structure for use with msh.


Mon Nov 19 23:36:57 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/bbc.c: neaten handling of distribution addresses on
	    `-topics' output.


Sun Nov 18 15:00:07 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/pick.c: if -help, set -nozero so done() doesn't print "0".
	    Moby hack.


Sat Nov 17 22:43:11 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: add msh$pack command.
	uip/pack.c: simplify a bit.


Sat Nov 17 21:22:35 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/makefiles/{mts,uip}: change PGMPROT to 755 for dpk.


Sat Nov 17 15:33:14 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{mhl,trm}sbr.c: add sc_length() to return li#.  Have mhl
	    assume co# and li# based on termcap entry if not given on
	    command line.  If entries aren't present in termcap, use
	    values in template.


Sat Nov 17 13:49:12 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	config/mh.h,uip/{folder,refile}.c: add NFOLDERS to denote max number
	    of folders/files on command line.


Fri Nov 16 19:01:32 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: remove -[no]burst switches.  Add "rmm" command, but don't
	    document it yet.  Still have to resolve a few problems.
	

Fri Nov 16 08:21:08 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	     -- More fixes from Fred Blonder at UMCP-CS --
	conf/mhconfig.c: #define SVAL(s) to handle those pesky
	    de-references to NULL.


Fri Nov 16 08:20:50 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getdefs.c: close up COMPAT code slightly.
	conf/makefiles/*: change "-cp $(BINDIR)/cmd zcmd" to use "-mv".
	    (On a trial basis.)

Thu Nov 15 21:15:41 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

		  -- Fixes from John Romine at TGC --
	sbr/m_getdefs.c: use (FILE *)NULL instead of NULL when testing
	    fopen()'s return value.


Thu Nov 15 12:11:58 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	mmdf/hosts.c: at the suggestion of Doug Kingston, use dm_v2route()
	    to map host references to official domain strings.


Thu Nov 15 09:29:43 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

		  -- Fixes from John Romine at TGC --
	uip/{forw,mhlsbr}.c: using NULL instead of "" in a couple of
	    places.


Thu Nov 15 09:24:32 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	     -- More fixes from Fred Blonder at UMCP-CS --
	sbr/concat.c: botched <varargs.h> installation for the pyramid.
	    use Fred's code.


Wed Nov 14 23:24:56 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	   -- All suggestions from Phyllis Kantar at Rand --
	sbr/{ssequal,uleq}.c: default arguments to "" if NULL.
	uip/addrsbr.c: have ismymbox() recognize localhost!user.
	uip/folder.c: have "folder -fast msg" set "msg" as cur.
	sbr/m_getdefs.c: if using $MH, and it isn't relative,
	    after expanding it, setenv it to an absolute pathname for
	subshells.


Wed Nov 14 22:19:10 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_gmsg.c: undo curmsg "fix" above, it broke MH mightily!
	sbr/m_convert.c: check curmsg here, so explicit references to
	    "cur", when it doesn't exist, fails.


Wed Nov 14 20:16:04 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/adios.c: for 4.2BSD use writev() on the adios() family of
	    routines, gives much smoother output.
	uip/mhlsbr.c: call the adios() family of routines instead of
	    explicitly using stderr.


Wed Nov 14 19:06:24 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_{gmsg,seq}.c: fix various logic bugs that prevented private
	    sequences from being recognized as such.


Wed Nov 14 13:30:00 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_convert.c: if "0" is given as a message number, print
	    special error message (for use with backquoted pick).
	sbr/m_gmsg.c: be more careful about saying when "cur" exists.
	    (don't set "curmsg" unless "mp -> msgstats[curmsg] & EXISTS").


Wed Nov 14 10:23:19 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	   -- All suggestions from Phyllis Kantar at Rand --
	mf/mf.{h,c}: add new field entry "note" for 822-style comments.
	config/addrsbr.h: add corresponding field entry m_note.
	    also change m_hnum to m_type.
	uip/addrsbr.c: add a new argument to getm() to say what type the
	    default host is.


Tue Nov 13 21:05:53 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: add "sortm" command.
	uip/sortm.c: clean it up a bit.


Tue Nov 13 18:58:43 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	tws/{tws.h,dtime.c}: move tws_compare() from uip/picksbr.c to
	    dtime.c, call it twsort().


Tue Nov 13 13:08:41 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	newsupport/mh_receive: make it generated during MH configuration.
	conf/mhconfig.c: support above change.


Tue Nov 13 00:58:41 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: add "inc" and "mhmail" commands (big deal).


Tue Nov 13 00:08:01 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{burst,msh}.c: fix bursting algorithm to support forwardings/bcc:s.
	uip/{forw,mhlsbr,post}.c: strip one extra \n from last encapsulation
	    boundary.


Mon Nov 12 22:15:53 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	     -- All fixes from Fred Blonder at UMCP-CS --
	conf/doc/mh.rf: add more details (mini tutorial).
	sbr/{concat.c,llib-lmh}: use <varargs.h>
	sbr/m_name.c: use simpler method, sprintf().  Also fix size of
	    name[] buffer.


Mon Nov 12 11:01:51 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: re-arrange the code a bit for better organization.


Mon Nov 12 08:29:19 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/makefiles/bbsupport: when MH profile was installed for the
	    BBoards login, the context file wasn't.
	sbr/m_getdefs.c: if "context:" isn't set in the MH profile, then
	    don't complain if it's not there.


Mon Nov 12 08:15:59 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: msh$show didn't know about the `-form formfile' switch.


Sat Nov 10 16:10:33 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/trimcpy.c: remove all trailing [lt]wsp.


Thu Nov  8 16:59:37 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/bbc.c: trap sigTERM just like sigEMT so user can kill bbc and
	    "have the right thing happen".


Wed Nov  7 21:51:56 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: make Bcc:s look more line a forwarded message.
	uip/mhl.c: add -forwall flag to help forw for batching. the -forward
	    flag now just uses the encapsulation algorithm.


Wed Nov  7 20:45:44 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{clr,scan}sbr.c: read termcap to ascertain the length of the
	    scan line.
	uip/trmsbr.c: used to be called uip/clrsbr.c


Wed Nov  7 20:12:04 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_draft.c: "Draft-Folder: +drafts" loses.  Strip the '+' if
	    need-be.


Tue Nov  6 21:33:39 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/dist.c: on "push" call ready_draft() prior to actual push()
	    since if dist is invoked from bbr the file being distributed
	    will get zapped prior to ready_draft() getting called.  Moby
	    hack.


Tue Nov  6 21:16:42 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/msh.c: call m_unknown() since advanced m_getfld() algorithm
	    loses otherwise (a long story).


Tue Nov  6 09:56:55 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/{m_edit.c,llib-lmh}: add extra argument for $cwd for edit.
	uip/{comp,dist,forw,repl}.c: call pwd() and invoke m_edit with the
	    extra argument.


Tue Nov  6 09:56:21 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/mhconfig.c: add "oldload" option for ALTOS.


Mon Nov  5 18:15:01 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	     -- ALTOS port of MH.5 (under #ifdef ALTOS) --
	conf/config/config.c: "more" resides in /usr/bin/. "ls" resides
	    in /bin/.
	conf/config/mts.c: read /etc/mhid for {Local,System}Name().  Also
	    add routine gethostname () which reads /etc/systemid.
	config/mh.h: #include "../config/altos.h" on #ifdef ALTOS.  Also,
	    new #define LINK which is "@" unless ALTOS else "#".
	config/altos.h: to get past V7 compiler...
	mf/msgchk.c: was using NULL instead of ""
	mf/mf.h: #include "../config/altos.h" on #ifdef ALTOS.
	sbr/m_edit.c: use LINK instead of "@"
	sbr/m_gmsg.c: use LINK instead of "@"
	sbr/m_seq.c: was using NULL instead of ""
	uip/clrsbr.c: use minimum of 2048 size for termcap buffer
	uip/dist.c: use LINK instead of "@"
	uip/install-mh.c: use (FILE *)NULL instead of NULL
	uip/msh.c: don't #include <sys/ioctl.h> if ALTOS
	uip/repl.c: use link instead of "@"
	uip/rmf.c: use link instead of "@"


Mon Nov  5 13:14:36 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/replsbr.c: don't adios() when can't understand "From:" or
	"Sender:" field.  Continue on, gracefully (ha!)


Sun Nov  4 17:40:04 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/folder.c: forgot the m_sync() after m_setcur().  This
	prevented "folder +folder msg" from setting msg as cur.


Sun Nov  4 15:00:20 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getfld.c: in the interests of speed-up, change eom() to a
	    macro that calls the auxilary function Eom() if need be.  This,
	    along with the addition of a new mbx_style, DEFAULT, should
	    give a significant speed-up in parsing individual files and
	    the MH profile.  Finally, make Getc() a macro as well, which
	    calls the routine GETC() only on special occasions.
	config/mh.h,sbr/{llib-lmh,m_getfld.c}: change mbx_unknown() to
	    m_unknown().


Sat Nov  3 19:56:51 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/bbc.c: get this: "bbc -quiet" with no other arguments and a
	    bogus "bboards:" entry in the profile would yield a core dump.
	    Marvelous.


Fri Nov  2 17:08:18 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/forwsbr.c: remove, put cpydgst() into sbr/cpydata.c
	config/mh.h, sbr/llib-lmh: declare cpydgst().


Fri Nov  2 13:44:50 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{forw,forwsbr}.c: change encapsulation algorithm to use
	    different bit-stuffing scheme.
	uip/mhlsbr.c: with -forward (interface from forw), support change
	    in encapsulation algorithm.


Fri Nov  2 13:17:27 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/replsbr.c: don't bomb if returnee's host is unknown (use
	    AD_HOST instead of AD_NAME).
	mmdf/hosts.c: when calling mmdf_init() use invo_name and not "mh".


Fri Nov  2 07:56:36 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/pick.c: if no matches and -list output a "0" so backquoting
	    fails.


Thu Nov  1 18:42:44 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/brkstring.c:  brkany() wasn't checking for a null string.  It
	    does now.


Thu Nov  1 15:14:43 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	support/mhl.format: change terminal length from 40 to 23.


Thu Nov  1 00:33:24 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	bbsupport/{bboards.{daily,weekly},bb{save,remove}} - use /bin/sh
	    not /bin/csh
	bbsupport/bb{aka,exp,tar}.c - call setbbent() with the right
	    argument.  Where applicable use /bin/sh not /bin/csh
	conf/config/MakeBBoards - remove dependencies
	conf/mhconfig.c - support for empty mmdfldir and non-empty
	    mmdflfil.


Wed Oct 31 22:27:33 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/repl.c: since post can handle multiple folders in an fcc:
	    line, take advantage of it.


Wed Oct 31 20:23:13 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	      -- All fixes from Phyllis Kantar at Rand --
	uip/repl.c: should use done(1) if the initial m_edit fails instead
	    of done(0).
	sendmts/smail.c: comment out passing of "-ov" to SendMail if
	    compiled at Rand.

Wed Oct 31 19:12:58 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/rcv{cron,tty}.c: include "../mmdf/util.h" when MMDFMTS.


Wed Oct 31 14:41:06 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/scansbr.c: change SLINE to 78 (instead of 79).  We really
	    should read termcap or an MH profile entry though.


Wed Oct 31 08:13:36 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/prompter.c: if the skeleton lacked a body sometimes prompter
	    would ask for a body and sometimes it wouldn't.  Now it ALWAYS
	    does.
	uip/show.c: "show -pr -f n" exec'd "pr inbox/-f inbox/n".  Now it
	    exec's "pr -f inbox/n" like it should.


Wed Oct 31 07:54:41 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	mmdf/hosts.c: somehow "mmdf.h" and "util.h" weren't included.


Tue Oct 30 22:14:19 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: if we get an address-bearing field without any address,
	    just ignore it instead of complaining about it.


Tue Oct 30 21:30:38 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	tws/dtimep.c: parse ctime(3) strings, since some fool hosts
	    actually permit that to get into the Internet.


Tue Oct 30 18:59:45 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	mf/mf.c: very minor clean-up of isfrom().
	mhmts/{hosts.c,netmail.c},{mmdf,sendmts}/hosts.c: include mts.h


Tue Oct 30 16:35:37 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/prompter.c: if the skeleton lacked a body sometimes prompter
	    would ask for a body and sometimes it wouldn't.  Now it doesn't.
	uip/dist.c: call ready_msg() each time ready_draft() is called so
	    user can edit message being dist'd.  (sigh)


Tue Oct 30 08:12:50 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/{comp,dist,forw,repl}.c: make the "push" option at "What now?"
	    level visible.  Document the draftfolder switches in the
	    manual page
	uip/bbc.c: document `-file BBoardsfile' in manual page
	uip/bbl.c: remove -debug switch
	uip/repl.c: remove -debug switch
	uip/send.c: document -[no]remove in manual page, make -push
	    visible and add -nopush.  Document the draftfolder switches in
	    the manual pages


Mon Oct 29 19:23:10 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/bbc.c: remove a couple of calls to setbbent().  They were
	    defeating setbbfile().  They weren't even needed since the
	    first thing that bbc does (even before parsing arguments) is
	    to call setbbent().
	uip/show.c: force -noformat, -noheader, and -nopr to be at least
	    three characters for recognition.
	uip/post.c: when invoking fileproc, add a '+' only if it doesn't
	    start with '+' or '@'.


Sun Oct 28 22:12:22 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/bbr$repl: forgot to support -[no]query.
	conf/doc/tmac.h: add .nf and .fi at the right spots for "FILES",
	    etc.

Sun Oct 28 20:36:45 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/folder.c: On "folder +foo", if +foo doesn't exist, ask if it
	    should be.


Sun Oct 28 10:32:06 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/*.c: remove calls to m_news(), also add m_foil() to foil
	    implicit calls to m_getdefs ().
	{sbr/m_getdefs,uip/rmf}.c: make mp->others checking a bit smarter
	    for #ifdef UCI.


Sat Oct 27 23:08:23 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sbr/m_getdefs.c: create the MH-directory if it's not there.
	uip/rmf.c: when rmf'ing a folder make sure parent's folder is
		writable as well as the folder.


Wed Oct 24 21:46:22 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/config/config.c, config/mh.h: add libpath() which looks first
	    in m_maildir and then etcpath for the file.  Get rid of the
	    std* variables since libpath() now does the same thing.
	With libpath, we now search m_maildir and then etcpath for
	    alias files for send and whom, form files for comp, dist, forw,
	    and repl, and filter files for forw and mhl.


Wed Oct 24 11:00:55 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	       -- All fixes from Terry Domae at NRTC --
	conf/mhconfig.c: invoke mhdoc with csh explicitly since V7 doesn't.
	conf/config/config.c, config/mh.h: add new global variable libpath.
	uip/mhlsbr.c: support libpath for system-wide forms.
	config/mh.h,mf/mf.c,sbr/getusr.c,uip/post.c: add -DNRTC for MAILID
	    support
	uip/replsbr.c: don't panic if the host for the sender/from field
	    is unknown.
	uip/{send,whom}.c: forgot to use m_draft() instead of m_maildir(draft).
	sbr/m_draft.c: fix things up for show -draft.
	uip/show.c: add a "-form formfile" switch.  Also, support for -draft
	    to reflect draftfolders.


Tue Oct 23 12:35:58 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/config/mts.c, mts/mts.h: remove the mbx_lock() and mbx_unlk()
	routines and replace them with the lock-and-open routines
	lkopen(), lkclose(), lkfopen(), and lkfclose().  lkopen() acquires
	an exclusive lock on the named file (which *must* exist) and then the
	appropriate open.  lkclose() releases the lock and closes the
	file.  lkfopen() is to lkopen() as fopen() is to open().  lkfclose()
	is to lkclose() as fclose() is to close().  I had to do all this
	so with 4.2BSD we can use flock to do the locking instead of the
	link/unlink business.


Mon Oct 22 11:37:30 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	sendmts/smail.c: forgot to declare parameter watch for -DSENDMAIL.
	conf/makefiles/*: make "make install" a synonym for "make inst-all".
	conf/makefiles/*: support $(DESTDIR) convention.


Sat Oct 20 11:47:26 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/post.c: let fcc: fields have more than one folder entry.


Fri Oct 19 08:57:23 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/dist.c: instead of introducing Prev-Resent-Header: just prepend
	    Prev- to previous resent-XXX: fields.
	uip/{post,dist}.c: append resent-XXX: fields instead of prepending
	    them.  Also some minor clean-up.
	tws/dtime.c: use a better structure to permit "fool-proof"
	    generation of time with dst.
	tws/dtimep.c: minor clean-up.


Thu Oct 18 11:14:15 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/annosbr.c: if file doesn't exist, don't spit out error
	diagnostic (comp/dist/forw/send -anno followed by push).


Wed Oct 17 10:02:27 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	uip/inc.c: more mtstailor fixes, always read MAILDIR.
	uip/prompter.c: add the -[no]rapid switch.


Mon Oct 15 08:27:13 1984  /mtr (agent: Marshall Rose) <uci@udel-dewey>

	conf/{mhconfig.c,config/config.c}: make the default editor
	    configurable.
	conf/mhconfig.c: add support for othersupport/Makefile.
	Makefile,conf/{config/mts.c,makefiles/mts}: add support for the
	    mtstailor file.
	othersupport/tutorial/: include the MH tutorial
	uip/{ap,bbr,conflict,inc,post,rcvcron,rcvlink,rmail,sbboards,slocal}.c,
	    mts/msgchk.c: add support for the mtstailor file.
	uip/{rmail,sbboards,slocal}.c: foil m_getdefs() (just in case).


Fri Oct 12 09:53:56 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-icsb>

	uip/ap.c: be sure to foil m_getdefs() for consistency.


Fri Oct 12 09:52:19 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-icsb>

	sbr/m_edit.c: change rindex() to r1bindex().  Silly typo.


Wed Oct 10 14:41:30 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-icsb>

	uip/rcv{cron,link,tty}.c: foil m_getdefs() for JLR.


Wed Oct 10 09:15:23 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-icsb>

	uip/install-mh.c: fix minor typo in display of help message.


Mon Oct  1 20:49:32 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-icsb>

	uip/repl{,sbr}.c: add the -[no]query switch which interactively
	prompts the user for info on who should be replied-to.


Mon Oct  1 20:48:25 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-icsb>

	uip/{scan,inc,scansbr}.c: change scansbr.h to #define the return
	codes from scansbr$scan().  Modify scan.c to say if a null message
	is empty.


Sat Sep 22 20:19:40 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/rcvlink.c: new rcvmail hook, just like the old rcvlink hook
	used in the ZOTnet.


Sat Sep 22 19:03:02 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/sbboards.c: forgot a few arguments in a couple of printf-like
	strings.


Fri Sep 21 19:25:25 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	sendmts/hosts.c: change ALLHOSTS logic: if we're running with an
	    exception file, then turn ALLHOSTS on (let mail system be final
	    arbitrator).  Also, if using an exception file, play along if the
	    file can't be opened.


Wed Sep 19 16:02:18 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/scan..c: if message is unreadable (errno==EACCES), just say
	"unreadble", don't bother to call admonish().


Tue Sep 18 14:30:57 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/inc.c: Check $MAILDROP prior to checking the Maildrop: profile
	entry.


Tue Sep 18 14:16:53 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/folder.c: if folder is unreadable (errno==EACCES), just say
	"unreadable", don't bother to call admonish().


Sun Sep 16 16:08:39 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/folder.c: change capitalization of "%d Folder%s" to
	"%d folder%s".


Wed Sep 12 20:02:22 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/rcv{cron,tty}.c: if not reading mmdf.h, then read smail.h to
	get proper definitions of RP_M{ECH,OK}.


Tue Sep 11 19:59:24 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	tws/dtime.c: have it know about EDT.  Really, dtimezone needs to
	get fixed up and use two tables instead of one...


Mon Aug 27 05:07:37 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/inc.c: examine the profile entry "maildrop" to override the
	default maildrop if necessary.  "maildrop" is interpreted with
	m_mailpath(), so if not an absolute path, it's interpreted relative
	to the user's MH directory.


Mon Aug 27 05:00:44 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	Decide that mh.4 is finished.  This file keeps track of the
	changes made between the mh.4 and mh.5 versions.  As usual, it's
	being kept in add-source-change format.  [Actually, mh.4 was
	finished on July 1, 1984.  For obscure reasons, this ChangeLog
	didn't start until August 27th though.]








		      MHCHANGES from mh.3 to mh.4


Fri Oct 26 22:19:42 1984  Rand MH Mail Handler (agent: John Romine) <mh@uci>
	conf/Makefile: make CFLAGS=-O, LDFLAGS=-ns
	sendmts/smail.c: line 99: formal parameter 'watch' was missing.


Thu Aug  2 15:05:29 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/rcv{cron,tty}.c: move the ``#include <stdio.h>'' above the
	    ``#include "mmdf.h"''
	mf/*.{h,c}: change lexequ() to lequal() to avoid conflict with
	    MMDF-II routine name.

Wed Jul 25 08:49:44 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/bbr.c: bring upto date with dist/forw/repl's -nodraftfolder.
	sbr/trimcpy.c: fold tabs into spaces in addition to newlines.


Mon Jul 23 19:07:00 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	sbr/m_getdefs.c: allow long lines in MH profile.
	uip/ptt.c: rename ptt.c to ap.c and install in MH etc directory.


Mon Jul 23 16:09:04 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/{scan,replsbr}.c: use ismymbox to determine if address is my
	    mailbox.
	uip/addrsbr.c: add ismymbox() to say just that.


Mon Jul 23 14:27:51 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/{comp,dist,forw,repl,send}.c: add -nodraftfolder switch to
	    turn off draft folder.
	uip/send.c: add -[no]unique switch to enable/disable message
	    renaming on pushes.


Mon Jul 23 09:11:27 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/scansbr.c: If the message has no date, flag it and use the
	date on the file, if appropriate (e.g., from 'scan' not 'inc').


Mon Jul 23 09:08:12 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/{dist,forw,repl}.c: fix busted logic when m_draft() is called
	after we've built the msgs structure for the folder we're working
	on.  Call m_draft() first.  Other solution was to have m_draft()
	do a pwd(), save the result, do its work, and then chdir() back.
	Sigh.


Sat Jul 21 14:15:43 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	sbr/{m_gmsg,m_seq}.c: allow "compressed" sequence descriptors
	    (e.g., x-y instead of x x+1 ... y-1 y).  Makes things run
	    faster and avoids problems if a sequence is really *big*.


Fri Jul 20 21:27:03 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	uip/{comp,dist,forw,repl}.c: new logic if draft exists.
	uip/{comp,dist,forw,refile,repl,send}.c: fix miscalculation in
	    path of draft/source folder.


Thu Jul 19 19:56:16 1984  Rand MH Mail Handler (agent: Marshall Rose) <mh@uci-750b>

	sbr/m_edit.c: put back in the draft preserve/delete logic from mh.2
	sbr/m_draft.c: add the "use" parameter saying whether "new" or
	    "cur" should be the default.


Wed Jul 18 20:39:29 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	sbr/path.c: add compath() logic to compress things like @.. and so
	on.


Wed Jul 18 05:35:14 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/{comp,dist,forw,repl}.c: Add -draft{folder,message} switches,
	    remove -[no]unique switches
	sbr/m_draft.c: New module to interpret -draft switches
	uip/send.c: Handle multiple messages, add -draft{folder,message}
	    switches, add -push switch
	uip/bbr.c: bring dist, forw, and repl up to date with all these
	    changes
	conf/config/config.c: change mh_deliver to postproc


Wed Jul 18 03:01:11 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	Install the code necesary for the @folder notation, meaning
	+cwf/folder (TSUBCWF).


Tue Jul 17 19:20:10 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/anno.c: don't require -text.  Also fix bug in prompting.


Tue Jul 17 16:19:14 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/folder.c: handle +folder and msg argument with -all.


Tue Jul 17 16:02:02 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/bbr.c: bring dist, forw, and repl up to date with -[no]unique.


Tue Jul 17 00:08:52 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	Install the Sequence-Negation mechanism.


Mon Jul 16 22:07:40 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/*.c: Change arguments[50] to arguments[MAXARGS]; change
	msgs[100] to msgs[MAXARGS] to avoid argument overflow with new
	pick.


Mon Jul 16 15:51:28 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	Gather up the ZOTnet libraries into zotnet/libzot.a, makes things
	less complicated.


Mon Jul 16 00:21:52 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	Install the new Previous-Sequence mechanism.  Introduce the SEQMOD
	flag to the msgs structure.  Just about every MH program now calls
	m_setseq () upon parsing the messages and calls m_sync() prior to
	exiting.


Mon Jul 16 00:18:49 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/{comp,dist,forw,repl}.c: If "quit" with no "delete, tell the
	    user the name of the draft file.
	uip/send.c: if invoked as "push", act accordingly
	sbr/m_send.c: know about "push".
	uip/mhpath.c: -help wasn't any.
	uip/rcv{cron,tty}.c: set-up for an MMDF system.


Sun Jul 15 17:10:38 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/{comp,dist,forw,repl}.c: Add -[no]unique switch.
	uip/send.c: Remove -[no]unique switch, also read ~/.signature file
	    and define $SIGNATURE if need be.
	uip/post.c: Don't read ~/.signature file, use $SIGNATURE only.
	uip/{bbr$scan,inc,scan,scansbr}.c: Only do the ftell() business
	    with -size on an inc.  The others can do an fstat or pointer
	    arithmentic to calculate the size.
	

Sun Jul 15 03:01:12 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/{comp,dist,forw,repl}.c: If send of draft loses, come back to
	"What now?" level.  Also fix bug with invocation of editor.


Fri Jul 13 13:37:21 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/scansbr.c: Compress the fields a bit.  Right-justify some
	parts of the header.


Fri Jul 13 13:17:48 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/folder.c: Set up things so DMAXFOLDER is used when formatting
	the output strings.


Wed Jul 11 18:41:07 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/folder.c: remove -up, -down, and -short
	uip/pick.c: toss all the file-op:s, -scan, and -show.  Just define
	    sequences, or spit 'em to stdout.
		The select sub-folder is dead!
		Long live user-defined sequences!
	    Pick got rid of 11 (!!) switches this way, and we've taken our
	    first step into a new age of functionality.

Wed Jul 11 02:25:25 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/repl.c: toss the hidden -[no]ccme switches.


Tue Jul 10 01:15:22 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	config/mh.h, conf/config/config.c, sbr/m_{getdefs,update}.c: add
	"context" file in addition to the MH-profile.  The former is
	dynamic, it contains pfolder and private sequences.  The latter is
	static, it contains switches, etc.  The ctx file defaults to
	Mail/context.  But in the MH-profile, you can define the entry for
	"context" to be whatever you want...


Mon Jul  9 23:15:20 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/{scan,inc,bbr}.c: new switches -[no]size to show the size
	of the message.
	uip/scansbr.c: implement -size for scan, inc, and bbr$scan.
	uip/folder.c: new switches to implement the folder stack.
	uip/clrsbr.c: consolidate clear_screen() into one file.


Mon Jul  9 17:05:09 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	sbr/showfile.c: take arg vector from caller.
	uip/show.c: new "-file file" switch for showfile.
	sbr/m_edit.c: take arg vector from caller.  If present, give to
	editor in exec.


Mon Jul  9 14:48:51 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	config/mh.h: add extern char *version.
	sbr/help.c: have help() print out program name and version info.
	conf/makefiles/uip: use version.sh to create version.c for loading
	    with uip:s.


Mon Jul  9 00:01:01 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/prompter.c: with BSD42, do a clearerr() on stdin when we get
	an EOF.  Otherwise, with an EOF in the headers, we lose big...


Sun Jul  8 23:58:56 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/bbr.c: add the hidden "-prompt string" switch for JLR.


Sat Jul  7 18:51:02 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	mhmts/hosts.c: add '#include <netdb.h>' for #ifdef BSD42.
	sbr/m_gmsg.c: fix initializatino of flags[].
	uip/whom.c: close down fd:s, just like send does, to avoid the
	    infamous "too many open" files error with the MMDFMTS version
	    of post.
	uip/pick.c: fix-up "[Folder xyz being re-used]" message.  It was
	    using the wrong string for the folder name.


Sat Jul  7 01:03:02 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	sbr/m_edit.c: #undef the $EDITOR stuff, maybe it's not such a good
	idea...


Mon Jul  2 02:07:37 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/post, uip/send: rework BCC handling to allow the use of a
	filter file.


Sat Jun 30 23:27:27 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	uip/send: if $SIGNATURE is empty, and there's a "signature" entry
	in the profile, set $SIGNATURE to that for post.


Sat Jun 30 16:40:22 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	sbr/m_edit.c: On first edit, if "-editor pgm" not specified, try
	to use $EDITOR prior to using the profile entry for editor.


Sat Jun 30 16:23:20 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	Add the -[no]public switches to bbr$mark, bbr$pick, mark, and pick.


Sat Jun 30 16:23:01 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	Add the SMTP option to the SendMail configuration.  Extend
	post/send to accept -mail, -soml, -saml, and -send.  Also add
	-client host and -server host.


Sat Jun 30 12:29:53 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	config/mh.h: Raise MAXFOLDER to 2K-1 and modify DMAXFOLDER as
	appropriate.  Also, make LOWSEL dependent on MAXFOLDER.


Sat Jun 30 12:28:48 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	config/mh.h: compact msgs structure a bit.  Also add new entry,
	mp -> attrstats, which tells if the corresponding attribute named
	in mp -> msgattrs is public or private.


Sat Jun 30 12:28:21 1984  Rand MH mail system (agent: Marshall Rose) <mh@uci-750a>

	sbr/m_getdefs.c: make sure $MH is non-empty before using it.


Fri Apr  6 10:52:26 1984  PostMaster (agent:  <mmdf@uci-750b>

	uip/show.c: mhl wasn't seeing its name so it wasn't checking its
	profile entry.  (fix from spencer thomas at utah-gr).


Mon Apr  2 07:34:35 1984  PostMaster (agent: John Romine)

	uip/refile.c: remove(): bug fix.  call delete-prog if (filep > 0)
	instead of if (filep > 1).


Sat Mar 31 08:26:29 1984  PostMaster (agent: John Romine) <mmdf@uci-750b>

	uip/mhmail.c: unlink temp file when exiting due to null input.


Fri Feb 17 09:10:55 1984  Rand MH System (agent: John Romine) <mh@uci-750b>

	uip/bbc.c: output last update date with -topics in short form
	instead of local leaders.  local leaders are listed with the other
	fields with -topics -verbose.


Thu Feb 16 10:19:12 1984  PostMaster (agent: Marshall Rose) <zotnet@uci-750b>

	uip/bbr.c - Have bbr use a different prompt based on the name it
	was invoked with.  This is useful, since it used to use the same
	prompt as "ex".  This got confusing since sometimes you'd be
	editing a file in ex while composing a message from bbr.


Wed Feb 15 14:47:18 1984  PostMaster (agent: Marshall Rose) <zotnet@uci-750b>

	Decide that mh.3 is finished.  This file keeps track of the
	changes made between the mh.3 and mh.4 versions.  Note that it's
	being kept in add-source-change format instead of the usual
	add-change-log-entry format.








[Unfortunately, changes up through MH 3 are apparently lost, unless people at
 Rand and/or UCI have them stashed away somewhere...  --Dan Harkless]
